package com.prolog.eis;

import com.prolog.framework.microservice.annotation.EnablePrologService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;

/**
 * @author zhanghan
 */
@EnableScheduling
@MapperScan({"com.prolog.eis.dao", "com.prolog.eis.*.dao"})
@EnableAsync
@EnableCaching
@EnablePrologService
public class EisDismantleApplication {

    public static void main(String[] args) {
        SpringApplication.run(EisDismantleApplication.class, args);
    }

    @Bean
    public RestTemplate restTemplate(RestTemplateBuilder builder) {
        return builder.build();
    }


}
