package com.prolog.eis.service.out;


import com.prolog.eis.model.outbound.BizOutboundTaskHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务表-服务接口类
 * @date 2023-08-30 12:24
 */
public interface BizOutboundTaskHisService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskHis 出库任务表
     */
    long save(BizOutboundTaskHis bizOutboundTaskHis);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskHisList 出库任务表
     */
    long saveBatch(List<BizOutboundTaskHis> bizOutboundTaskHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskHis findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskHis 实例对象
     */
    long update(BizOutboundTaskHis bizOutboundTaskHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
