package com.prolog.eis.service.out;


import com.prolog.eis.model.container.ContainerTaskHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库容器任务表-服务接口类
 * @date 2023-08-30 12:24
 */
public interface ContainerTaskHisService {

    /**
     * 新增数据
     *
     * @param containerTaskHis 出库容器任务表
     */
    long save(ContainerTaskHis containerTaskHis);

    /**
     * 新增批量数据
     *
     * @param containerTaskHisList 出库容器任务表
     */
    long saveBatch(List<ContainerTaskHis> containerTaskHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<ContainerTaskHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    ContainerTaskHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<ContainerTaskHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ContainerTaskHis findById(int id);

    /**
     * 修改数据
     *
     * @param containerTaskHis 实例对象
     */
    long update(ContainerTaskHis containerTaskHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
