package com.prolog.eis.service.redis;

public interface RedisService {
    /**
     * set存数据
     *
     * @param key
     * @param value
     * @return
     */
    boolean set(String key, String value);

    /**
     * get获取数据
     *
     * @param key
     * @return
     */
    String get(String key);

    /**
     * 设置有效秒数
     *
     * @param key
     * @param expire
     * @return
     */
    boolean expire(String key, long expire);

    /**
     * 移除数据
     *
     * @param key
     * @return
     */
    boolean remove(String key);

    /**
     * 判断key事否存在
     *
     * @param key
     * @return
     */
    boolean existsKey(String key);

    /**
     * 返回key剩余生存时间
     * -2表示key不存在
     * -1表示key存在，没有指定失效时间
     * 其他表示剩余生存时间
     *
     * @param key
     * @return
     */
    Long ttl(String key);

}
