package com.prolog.eis.service.shelves;


import com.prolog.eis.model.shelves.AllotmentTaskRecord;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 分拨供包任务表记录-服务接口类
 * @date 2023-08-28 11:41
 */
public interface AllotmentTaskRecordService {

    /**
     * 新增数据
     *
     * @param allotmentTaskRecord 分拨供包任务表记录
     */
    long save(AllotmentTaskRecord allotmentTaskRecord);

    /**
     * 新增批量数据
     *
     * @param allotmentTaskRecordList 分拨供包任务表记录
     */
    long saveBatch(List<AllotmentTaskRecord> allotmentTaskRecordList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<AllotmentTaskRecord> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    AllotmentTaskRecord findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<AllotmentTaskRecord> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AllotmentTaskRecord findById(int id);

    /**
     * 修改数据
     *
     * @param allotmentTaskRecord 实例对象
     */
    long update(AllotmentTaskRecord allotmentTaskRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

    long updateMapByCriteria(Map<String, Object> map, Criteria criteria);

}
