package com.prolog.eis.service.out.impl;

import com.alibaba.fastjson.JSONObject;
import com.prolog.eis.EisDismantleApplication;
import com.prolog.eis.dto.eis4.StationOBAreaDto;
import com.prolog.eis.dto.eis4.StationOBCarryTaskDto;
import com.prolog.eis.dto.eis4.StationOBDispatchDto;
import com.prolog.eis.dto.eis4.StationOBRangeDto;
import com.prolog.eis.service.stationOutbound.StationObDispatchService;
import com.prolog.framework.utils.FileUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.util.List;

@SpringBootTest(classes = EisDismantleApplication.class)
@RunWith(SpringRunner.class)
public class TimeTaskServiceImplTest {
    @Autowired
    private StationObDispatchService stationObDispatchService;

    String sql = "{\n" +
            "    \"areaList\":\n" +
            "    [\n" +
            "        {\n" +
            "            \"areaNo\": \"T0103\",\n" +
            "            \"containerList\":\n" +
            "            [],\n" +
            "            \"freeLocatorCount\": 1,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 5,\n" +
            "            \"sendNoTaskContainer\": true,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"ZJ001-Z01\",\n" +
            "            \"containerList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000165\",\n" +
            "                    \"finishTask\": false,\n" +
            "                    \"x\": 155350,\n" +
            "                    \"y\": 145425\n" +
            "                }\n" +
            "            ],\n" +
            "            \"freeLocatorCount\": 0,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 5,\n" +
            "            \"sendNoTaskContainer\": true,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 1,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"ZJ001-Z02\",\n" +
            "            \"containerList\":\n" +
            "            [],\n" +
            "            \"freeLocatorCount\": 1,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 5,\n" +
            "            \"sendNoTaskContainer\": true,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"CLJL01\",\n" +
            "            \"containerList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000044\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 175950\n" +
            "                }\n" +
            "            ],\n" +
            "            \"freeLocatorCount\": 1,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 1,\n" +
            "            \"sendNoTaskContainer\": false,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 1,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"CLJL02\",\n" +
            "            \"containerList\":\n" +
            "            [],\n" +
            "            \"freeLocatorCount\": 2,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 1,\n" +
            "            \"sendNoTaskContainer\": false,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"CLJL03\",\n" +
            "            \"containerList\":\n" +
            "            [],\n" +
            "            \"freeLocatorCount\": 2,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 1,\n" +
            "            \"sendNoTaskContainer\": false,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"AGVHJ01\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"AGVHJ01\",\n" +
            "            \"containerList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000001\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000002\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000003\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000004\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000005\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000006\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000007\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000008\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000009\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 145800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000010\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000011\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000012\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000013\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000014\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000015\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000016\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000017\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000018\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000019\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000020\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000021\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000022\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000023\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000024\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000025\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000026\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000027\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000028\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000029\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000030\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000031\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000032\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000033\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000034\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 120600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000035\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000036\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000037\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000038\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000039\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000040\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000041\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000042\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000043\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000045\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000046\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000047\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000048\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000049\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000050\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000051\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000053\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000054\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 129000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000055\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 129000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000056\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000057\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000058\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000059\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000060\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000061\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000062\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000063\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000064\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000065\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000066\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000067\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000068\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000069\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000071\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000072\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 145800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000073\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000074\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000075\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000076\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000077\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000078\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000079\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000080\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000081\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000082\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000083\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000084\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000085\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000086\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000087\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000088\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000089\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000090\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000091\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000092\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000093\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000094\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000095\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000096\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000097\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000098\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000099\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000100\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000101\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000102\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000103\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000104\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000105\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000106\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 129000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000107\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000108\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000109\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000110\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000111\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000112\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000113\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000114\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000115\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000116\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000117\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000118\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000119\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000120\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000121\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000122\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000123\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000124\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000125\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000126\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000127\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000128\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000129\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000130\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000131\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 137400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000132\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000133\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000134\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000136\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000137\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 137400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000138\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000139\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000140\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000141\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000142\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000143\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000144\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 133600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000146\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 120600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000147\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000148\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000149\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000150\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000151\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000152\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000153\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000154\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000155\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000156\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000157\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 145800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000158\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000159\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000160\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000161\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000162\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000163\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000164\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000166\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000167\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000168\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 137400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000169\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000170\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 120600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000171\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000172\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000173\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 152700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000174\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000175\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000176\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000177\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000178\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 113350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000179\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000180\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000181\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000182\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000183\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000184\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000185\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000186\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000187\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000188\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 129000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000189\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000190\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000191\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000192\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000193\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000194\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000195\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000196\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000197\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 116800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000198\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000199\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 125550\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000200\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 132450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000201\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 137400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000202\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000203\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 154200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000204\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000205\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000206\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000207\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 120600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000208\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 160300\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000209\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 149250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000210\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000211\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000212\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000213\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 129000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000214\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000215\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 137400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000216\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 115650\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000217\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 128350,\n" +
            "                    \"y\": 120600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000218\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 126700\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000219\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 140050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000220\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 109900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000221\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 107600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000222\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 119100\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000223\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 162600\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000224\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000225\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000226\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 163750\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000227\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000228\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000229\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 146950\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000230\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 130150\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000231\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 135900\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000232\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000233\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 112200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000234\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 145800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000235\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 123250\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000236\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 158000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000237\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 129700,\n" +
            "                    \"y\": 106450\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000238\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 135100,\n" +
            "                    \"y\": 169500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000239\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 131050,\n" +
            "                    \"y\": 150400\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000240\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 166050\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000241\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 132400,\n" +
            "                    \"y\": 167200\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000242\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 156850\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000243\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 145800\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000244\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 143500\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"50000001\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 133750,\n" +
            "                    \"y\": 142350\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"50000003\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 171000\n" +
            "                },\n" +
            "                {\n" +
            "                    \"containerNo\": \"50000004\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 127000,\n" +
            "                    \"y\": 156850\n" +
            "                }\n" +
            "            ],\n" +
            "            \"freeLocatorCount\": 2,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 5,\n" +
            "            \"sendNoTaskContainer\": false,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVTP01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 241,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaNo\": \"AGVTP01\",\n" +
            "            \"containerList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"800499\",\n" +
            "                    \"finishTask\": true,\n" +
            "                    \"x\": 136450,\n" +
            "                    \"y\": 106450\n" +
            "                }\n" +
            "            ],\n" +
            "            \"freeLocatorCount\": 342,\n" +
            "            \"noTaskContainerNoList\":\n" +
            "            [],\n" +
            "            \"priority\": 5,\n" +
            "            \"sendNoTaskContainer\": false,\n" +
            "            \"taskContainerList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaList\":\n" +
            "            [],\n" +
            "            \"taskSourceAreaNoList\":\n" +
            "            [\n" +
            "                \"T0103\",\n" +
            "                \"ZJ001-Z01\",\n" +
            "                \"ZJ001-Z02\",\n" +
            "                \"CLJL01\",\n" +
            "                \"CLJL02\",\n" +
            "                \"CLJL03\",\n" +
            "                \"AGVHJ01\"\n" +
            "            ],\n" +
            "            \"useLocatorCount\": 1,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        }\n" +
            "    ],\n" +
            "    \"areaMap\":\n" +
            "    {},\n" +
            "    \"containerList\":\n" +
            "    [\n" +
            "        {\n" +
            "            \"areaPriority\": 0,\n" +
            "            \"containerNo\": \"800499\",\n" +
            "            \"containerTaskList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"800499\",\n" +
            "                    \"taskTargetAreaNoList\":\n" +
            "                    [\n" +
            "                        \"ZJ001-Z01\",\n" +
            "                        \"ZJ001-Z02\"\n" +
            "                    ]\n" +
            "                }\n" +
            "            ],\n" +
            "            \"priority1\": 1600,\n" +
            "            \"priority2\": 1,\n" +
            "            \"priority3\": 1,\n" +
            "            \"priority4\": 1,\n" +
            "            \"priority5\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        },\n" +
            "        {\n" +
            "            \"areaPriority\": 0,\n" +
            "            \"containerNo\": \"20000044\",\n" +
            "            \"containerTaskList\":\n" +
            "            [\n" +
            "                {\n" +
            "                    \"containerNo\": \"20000044\",\n" +
            "                    \"taskTargetAreaNoList\":\n" +
            "                    [\n" +
            "                        \"ZJ001-Z01\",\n" +
            "                        \"ZJ001-Z02\"\n" +
            "                    ]\n" +
            "                }\n" +
            "            ],\n" +
            "            \"priority1\": 1000,\n" +
            "            \"priority2\": 1,\n" +
            "            \"priority3\": 1,\n" +
            "            \"priority4\": 1,\n" +
            "            \"priority5\": 0,\n" +
            "            \"x\": 0,\n" +
            "            \"y\": 0\n" +
            "        }\n" +
            "    ],\n" +
            "    \"distancePolicy\": 0,\n" +
            "    \"init\": false,\n" +
            "    \"noTaskAreaAction\":\n" +
            "    {},\n" +
            "    \"priorityType1\": \"DESC\",\n" +
            "    \"priorityType2\": \"DESC\",\n" +
            "    \"priorityType3\": \"DESC\",\n" +
            "    \"priorityType4\": \"ASC\",\n" +
            "    \"priorityType5\": \"ASC\",\n" +
            "    \"taskContainerMap\":\n" +
            "    {}\n" +
            "}";

    @Test
    public void dispatch() throws Exception {
        for (int i = 0; i < 50; i++) {
            File file = new File("D:\\111.json");
            String str = FileUtils.readAllText(file);
            StationOBDispatchDto stationOBDispatchDto = JSONObject.parseObject(str, StationOBDispatchDto.class);

            for (StationOBAreaDto area : stationOBDispatchDto.getAreaList()) {
                if (area.getAreaNo().equals("ZJ001-Z01")) {
                    area.setFreeLocatorCount(20);
                }
                StationOBRangeDto range = new StationOBRangeDto();
                range.setMinX(0);
                range.setMaxX(999999);
                range.setMinY(0);
                range.setMaxY(146000);
                area.setRange(range);
            }
            List<StationOBCarryTaskDto> obCarryTaskList = stationObDispatchService.dispatch(stationOBDispatchDto);
            System.out.println(obCarryTaskList);
        }
    }
}