package com.prolog.eis.dao.out;

import com.prolog.eis.dto.outbound.SupervisionCodeDto;
import com.prolog.eis.dto.page.PackOrderDetailRespDto;
import com.prolog.eis.dto.strategy.OrderDetailDto;
import com.prolog.eis.model.outbound.BizOutboundTaskDetail;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 出库任务详情表-数据处理类
 * @date 2023-07-06 11:36
 */
@Repository
public interface BizOutboundTaskDetailMapper extends BaseMapper<BizOutboundTaskDetail>{
    List<OrderDetailDto> getByOrderIds(@Param("orderIds") List<Integer> orderIds);

    List<OrderDetailDto> findOutDetailList(@Param("billType") String billType, @Param("warehouseArea") String warehouseArea,@Param("isBindGrid") String isBindGrid);

    List<PackOrderDetailRespDto> findPackOrderDetail(@Param("id") Integer id,@Param("gridNo") String gridNo);

    List<PackOrderDetailRespDto> findPackOrderDetailLast(@Param("id") Integer id);

    List<OrderDetailDto> findAddOutDetailList(@Param("billType") String billType, @Param("warehouseArea") String warehouseArea, @Param("assemblyOrderSwitch") String assemblyOrderSwitch);

    List<OrderDetailDto> findDetailList(@Param("warehouseArea") String warehouseArea);

    List<SupervisionCodeDto> findSupervisionCode(@Param("itemList") List<String> drugSupervisionCode);

    List<OrderDetailDto> findAddOutDetailLSList(@Param("billType") String billType, @Param("warehouseArea") String warehouseArea, @Param("assemblyOrderSwitch") String assemblyOrderSwitch);

}