package com.prolog.eis.dao.out.shelves;

import com.prolog.eis.dto.shelves.CargoInformationDTO;
import com.prolog.eis.dto.shelves.PalletLocationDTO;
import com.prolog.eis.model.shelves.PalletLocation;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 货格基础资料接口
 *
 * @author zhanghan
 */
@Mapper
public interface PalletLocationMapper extends BaseMapper<PalletLocation> {

    /**
     * 根据货架号查询货格明细
     *
     * @param palletNo 货架号
     * @return List<CargoInformationDTO>
     */
    List<CargoInformationDTO> palletDetail(@Param("palletNo") String palletNo);


    /**
     * 修改货架信息
     *
     * @param dto 货架信息
     */
    void updatePallet(@Param("dto") PalletLocationDTO dto);

    /**
     * 删除货架信息
     *
     * @param palletNo 货架号
     */
    void deleteShelves(@Param("palletNo") String palletNo);

}