package com.prolog.eis.dto.bcr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "bcr扫码")
public class BcrScanCodeDetailDto {
    @ApiModelProperty(value = "任务号")
    private String taskId ;
    @ApiModelProperty(value = "任务类型")
    private Integer type;
    @ApiModelProperty(value = "母托盘号条码")
    private String stockId ;
    @ApiModelProperty(value = "子托盘号条码")
    private String stockIdSub;
    @ApiModelProperty(value = "入库口编号(原位置)")
    private String source;
    @ApiModelProperty(value = "目标位置")
    private String target;
    @ApiModelProperty(value = "重量")
    private String weight;
    /**
     * 1：正常
     * 2：前超限
     * 3：后超限
     * 4：左超限
     * 5：右超限
     * 6：超高
     */
    @ApiModelProperty("尺寸检测信息：1：正常，2：左超长，3：右超长；4：上超长；5：下超长，6：超高")
    private Integer detection;
    @ApiModelProperty(value = "任务阶段")
    private Integer priority;
    @ApiModelProperty(value = "状态  1:未开始 2:已上报")
    private Integer status;


}