package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class InBoundDto {

    @ApiModelProperty("请求id")
    @NotBlank(message = "请求id不能为空")
    private String msgId;

    @ApiModelProperty("企业id")
    @NotBlank(message = "企业id不能为空")
    private String enterpriseId;

    @ApiModelProperty("企业ID")
    @NotBlank(message = "仓库ID不能为空")
    private String warehouseId;

    @ApiModelProperty("容器号")
    @NotBlank(message = "容器号不能为空")
    private String containerNo;

    @ApiModelProperty("Wms任务单号")
    @NotBlank(message = "taskId不能为空")
    private String taskId;

    @ApiModelProperty("作业类型")
    @NotBlank(message = "作业类型不能为空")
    private String workType;

    @ApiModelProperty("业务类型")
    @NotBlank(message = "业务类型不能为空")
    private String businessType;

    @ApiModelProperty("wms大货位")
    @NotBlank(message = "wms大货位不能为空")
    private String wmsLocationCode;

    @ApiModelProperty("源区域（WMS货位）")
    private String originalArea;

    @ApiModelProperty("源点位")
    private String originalLocation;

    @ApiModelProperty("目标区域（WMS货位）")
    private String targetArea;

    @ApiModelProperty("目标点位")
    private String targetLocation;

    @ApiModelProperty("托盘明细信息")
    private List<InBoundSubListDto> subList;

}
