package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/28 16:13
 */
@Data
public class InboundCarryTaskDto {
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("目标区域")
    private String targetArea;
    @ApiModelProperty("位置号")
    private String locationNo;
    /**
     * @see com.prolog.eis.enums.wms.WmsCarryTaskType
     */
    @ApiModelProperty("任务属性 1入库任务 2空托垛入库任务 3物料搬运 4空托上架 6拆零库存入库")
    @NotBlank(message = "任务属性不能为空")
    private Integer type;
    @ApiModelProperty("目标区域列表 key编码 msg描述")
    List<Map<String,Object>> targetAreaList;
}
