package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class ShelvesTaskSubmitDto {
    @ApiModelProperty("上架数量")
    @NotNull(message = "上架数量不能为空")
    @Min(value = 1,message = "上架数量不能小于1")
    private BigDecimal qty;

    @ApiModelProperty("上架容器号")
    @NotBlank(message = "上架容器号不能为空")
    private String containerNo;

    @ApiModelProperty("推荐上架货格号")
    @NotBlank(message = "推荐上架货格号不能为空")
    private String containerSubNo;

    @ApiModelProperty("扫码货格号")
    @NotBlank(message = "扫码货格号不能为空")
    private String scanContainerSubNo;

    @ApiModelProperty("物料id")
    @NotBlank(message = "物料id不能为空")
    private String itemId;

    @ApiModelProperty("批次id")
    @NotBlank(message = "批次id不能为空")
    private String lotId;

    @ApiModelProperty("上架明细id")
    @NotNull(message = "上架明细id不能为空")
    private Integer detailId;
}
