package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2023-01-31 11:07
 **/
@Data
@Builder
public class WmsInBoundResVo {
    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("WMS大货位")
    private String wmsLocationCode;
    @ApiModelProperty("货主编号")
    private String ownerId;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("Wms任务号")
    private String taskId;
    @ApiModelProperty("作业类型（见上述接口清单作业类型与业务类型约定）")
    private String workType;
    @ApiModelProperty("业务类型（见上述接口清单作业类型与业务类型约定）")
    private String businessType;
    @ApiModelProperty("商品类型(1：原辅料、2：成品，3：成品或原辅料)")
    private Integer itemType;
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("包装ID")
    private String packId;
    @ApiModelProperty("容器编号")
    private String containerNo;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("指令ID（每行唯一）")
    private String msgId;
}
