package com.prolog.eis.dto.item;

import com.prolog.cs.basic.item.model.BaseMtlItemUomConversions;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ItemSyncVO {

    @ApiModelProperty("视觉计划复核数量")
    private BigDecimal identifyNum;
    @ApiModelProperty("商品ID")
    private String itemId;
    @ApiModelProperty("企业ID")
    private String enterpriseId;
    @ApiModelProperty("货主ID")
    private String cargoOwnerId;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品英文名称")
    private String itemNameEn;
    @ApiModelProperty("商品简称")
    private String itemShortName;
    @ApiModelProperty("助记码")
    private String itemAssistantCode;
    @ApiModelProperty("商品描述")
    private String itemDesc;
    @ApiModelProperty("商品分类ID（BASE_MTL_CATEGORY）")
    private String itemCategoryId;
    @ApiModelProperty("商品分类编号（BASE_MTL_CATEGORY）")
    private String itemCategoryCode;
    @ApiModelProperty("条码(最小包装)")
    private String pieceBarcode;
    @ApiModelProperty("外箱码(最大包装)")
    private String caseBarcode;
    @ApiModelProperty("状态(NEW/CHECK): 0 新增；1 审核通过，默认0")
    private String status;
    @ApiModelProperty("启用标识:0 未启用；1 启用；默认未启用")
    private Integer isEnable;
    @ApiModelProperty("生产商ID")
    private String manufacturerId;
    @ApiModelProperty("税率ID")
    private String taxRateId;
    @ApiModelProperty("税率值")
    private BigDecimal taxRateValue;
    @ApiModelProperty("产地ID")
    private String countryOriginId;
    @ApiModelProperty("数据访问级别")
    private String accessLevel;
    @ApiModelProperty("最大单位")
    private String caseUom;
    @ApiModelProperty("最大单位箱规")
    private BigDecimal caseConversionRate;
    @ApiModelProperty("最小单位")
    private String pieceUom;
    @ApiModelProperty("最小单位规格")
    private BigDecimal pieceConversionRate;
    @ApiModelProperty("商品规格说明")
    private String specification;
    @ApiModelProperty("数据来源ID(同步数据的唯一id)")
    private String datasourceId;
    @ApiModelProperty("剂型")
    private String itemHealthType;
    @ApiModelProperty("用法")
    private String itemHealthUsage;
    @ApiModelProperty("批准文号")
    private String itemHealthApprovalNbr;
    @ApiModelProperty("证书号码")
    private String itemHealthCertificateNbr;
    @ApiModelProperty("注册证号")
    private String itemHealthRegisterNbr;
    @ApiModelProperty("备案号")
    private String itemHealthRecordNbr;
    @ApiModelProperty("特殊类型    (医药行业)  药品行业   毒麻标志")
    private String itemHealthSpecType;
    @ApiModelProperty("处方分类")
    private String itemHealthOtcFlag;
    @ApiModelProperty("商品大类(字典) 内用/外用/精神/麻醉")
    private String itemHealthCategory;
    @ApiModelProperty("通用名")
    private String itemHealthCommonName;
    @ApiModelProperty("采购员（医药专用）")
    private String itemHealthBuyer;
    @ApiModelProperty("医药行业  疫苗 、生物制品、中成药")
    private String itemHealthIndustry;
    @ApiModelProperty("是否重点保护,0 否；1 是,默认0")
    private Integer itemHealthIsProtected;
    @ApiModelProperty("是否基药,0 否；1 是,默认0")
    private Integer itemHealthIsNed;
    @ApiModelProperty("是否打印药监单:0 不打印；1 打印； 默认不打印")
    private Integer itemHealthIsPrintedDrug;
    @ApiModelProperty("双人业务类型(0:正常 1：双人验收，默认正常)")
    private Integer itemHealthIsDouble;
    @ApiModelProperty("上游系统编号(外部系统编号)")
    private String itemHealthExitemcode;
    @ApiModelProperty("首营状态(是否首营)")
    private Integer itemHealthFirstopstatus;
    @ApiModelProperty("是否两票制")
    private Integer itemHealthTwovoteflag;
    @ApiModelProperty("验收注意点")
    private String itemHealthChecknote;
    @ApiModelProperty("储存注意事项")
    private String itemHealthStorenote;
    @ApiModelProperty("是否易差错")
    private Integer itemHealthErrorproneflag;
    @ApiModelProperty("是否监管")
    private Integer itemHealthSuperviseflag;
    @ApiModelProperty("是否防串")
    private Integer itemHealthAnticrossingflag;
    @ApiModelProperty("是否分装")
    private Integer itemHealthSubpackflag;
    @ApiModelProperty("证书发证日期")
    private Date certificateStartdate;
    @ApiModelProperty("证书有效期")
    private Date certificateEnddate;
    @ApiModelProperty("是否中药饮片")
    private Integer isHerbalSlices;
    @ApiModelProperty("是否中药材")
    private Integer isHerbal;
    @ApiModelProperty("是否一类精神药品")
    private Integer isPsychotropicDrugsOne;
    @ApiModelProperty("是否二类精神药品")
    private Integer isPsychotropicDrugsTwo;
    @ApiModelProperty("是否含麻黄碱复方制剂")
    private Integer isEfedrina;
    @ApiModelProperty("是否防疫物资")
    private Integer isPreventionMaterial;
    @ApiModelProperty("防疫储备量")
    private BigDecimal preventionNum;
    @ApiModelProperty("养护周期")
    private BigDecimal maintainCycle;
    @ApiModelProperty("是否麻醉药品")
    private Integer isStupefacient;
    @ApiModelProperty("是否药品类易制毒化学品")
    private Integer isEasyToxicDrugs;
    @ApiModelProperty("是否毒性药品")
    private Integer isToxicDrugs;
    @ApiModelProperty("是否委托生产")
    private Integer isDelegate;
    @ApiModelProperty("是否重点养护")
    private Integer isProtected;
    @ApiModelProperty("是否验收")
    private Integer isCheck;
    @ApiModelProperty("进口注册证号")
    private String itemHealthRegisterNbrEn;
    @ApiModelProperty("上市许可持有人")
    private String itemHealthListedLicensor;
    @ApiModelProperty("生产企业许可证号")
    private String itemHealthProduceLicense;
    @ApiModelProperty("存储分类")
    private String itemHealthStoreCategory;
    @ApiModelProperty("是否器械(0否1是默认0)")
    private Integer isInstrument;
    @ApiModelProperty("是否无菌(0否1是)")
    private Integer isBacteria;
    @ApiModelProperty("商品大类")
    private String itemHealthCategoryName;
    @ApiModelProperty("采购启用标识: 0 不启用；1 启用；默认不启用")
    private Integer purchaseIsEnable;
    @ApiModelProperty("采退启用标识 : 0 不启用；1 启用；默认不启用")
    private Integer purchaseReturnIsEnable;
    @ApiModelProperty("不含税采购单价")
    private BigDecimal piecePurchasePriceTe;
    @ApiModelProperty("含税采购单价")
    private BigDecimal piecePurchasePriceTi;
    @ApiModelProperty("含税最高进价")
    private BigDecimal piecePurchasePriceTiCeil;
    @ApiModelProperty("基准进价(未税)")
    private BigDecimal pieceNetPurchaseTe;
    @ApiModelProperty("销售启用标识(Y/N),0:不启用；1启用；默认不启用")
    private Integer saleIsEnable;
    @ApiModelProperty("销退启用标识(Y/N)，0:不启用；1启用；默认不启用")
    private Integer saleReturnIsEnable;
    @ApiModelProperty("不含税销售单价")
    private BigDecimal pieceSalePriceTe;
    @ApiModelProperty("含税销售单价")
    private BigDecimal pieceSalePriceTi;
    @ApiModelProperty("单品最低售价")
    private BigDecimal pieceSalePriceTiFloor;
    @ApiModelProperty("单品最高售价")
    private BigDecimal pieceSalePriceTiCeil;
    @ApiModelProperty("单品建议售价")
    private BigDecimal pieceSalePriceTiSuggest;
    @ApiModelProperty("单品指导售价")
    private BigDecimal pieceSalePriceTiSupplier;
    @ApiModelProperty("新品标记:0 不是新品；1 是新品；默认0")
    private Integer isNewItem;
    @ApiModelProperty("进项税")
    private BigDecimal taxRatePurchase;
    @ApiModelProperty("销项税")
    private BigDecimal taxRateSale;
    @ApiModelProperty("商品销售属性(正常/促销)")
    private String itemSaleAttribute1;
    @ApiModelProperty("ERP 对照条码")
    private String erpItemBarcode;
    @ApiModelProperty("ERP 对照编码")
    private String erpItemCode;
    @ApiModelProperty("供应商商品对照码(ERP)")
    private String erpVendorItemCode;
    @ApiModelProperty("厂商商品对照码(ERP)")
    private String erpManufacturerItemCode;
    @ApiModelProperty("货主名称")
    private String cargoOwnerName;
    @ApiModelProperty("货主编码")
    private String cargoOwnerCode;
    @ApiModelProperty("供应商ID")
    private String supplierId;
    @ApiModelProperty("供应商编码")
    private String supplierCode;
    @ApiModelProperty("供应商名称")
    private String supplierName;
    @ApiModelProperty("品牌ID")
    private String brandId;
    @ApiModelProperty("等级ID")
    private String gradeId;
    @ApiModelProperty("系列ID")
    private String seriesId;
    @ApiModelProperty("保质期，以天为单位")
    private BigDecimal shelfLifeDays;
    @ApiModelProperty("包装列表")
    private List<BaseMtlItemUomConversions> uomList;
    @ApiModelProperty("ABC属性(A/B/C)")
    private String abcType;
    @ApiModelProperty("码采集(防串码/SN码/物流监管码物流码)")
    private String codeCollectMode;
    @ApiModelProperty("预警保质期      (医药、食品、零售、化学工业品、分销)")
    private BigDecimal alterShelfLifeNbr;
    @ApiModelProperty("保质期单位类型  年/月/日   默认为日")
    private String shelfLifeUnit;
    @ApiModelProperty("滞销期天数")
    private BigDecimal unsaleDay;
    @ApiModelProperty("入库预留保质天数")
    private BigDecimal inStoreDay;
    @ApiModelProperty("出库预留保质天数")
    private BigDecimal outStoreDay;
    @ApiModelProperty("效期跟踪级别")
    private String expiryDateTrackLevel;
    @ApiModelProperty("质检分组")
    private String qcGroup;
    @ApiModelProperty("质量检查方式(不质检/质检方式1/质检方式2)")
    private String qcMode;
    @ApiModelProperty("标准箱系数")
    private BigDecimal stdCaseFactor;
    @ApiModelProperty("存储条件（常温/冷冻）")
    private String storeTemperature;
    @ApiModelProperty("温控区间(上限)")
    private BigDecimal itemTemperatureHigh;
    @ApiModelProperty("温控区间(下限)")
    private BigDecimal itemTemperatureLow;
    @ApiModelProperty("默认标准托盘数量(?到仓库，不能为通用属性)")
    private BigDecimal palletStdQuantity;
    @ApiModelProperty("默认托盘码放规则(?到仓库，不能为通用属性4*10)")
    private String palletPlacedRule;
    @ApiModelProperty("默认库存单位(?到仓库，不能为通用属性)")
    private String storeUnit;
    @ApiModelProperty("批次号")
    private String managementLotNbr;
    @ApiModelProperty("批号")
    private String managementBatchNbr;
    @ApiModelProperty("序列号")
    private String managementSequenceNbr;
    @ApiModelProperty("效期")
    private String managementExpiredDate;
    @ApiModelProperty("整散标记(?到仓库 ,不能为通用属性 01整散合一/02整散分开)")
    private Integer isCaseOrPiece;
    @ApiModelProperty("易碎")
    private Integer itemIsFragile;
    @ApiModelProperty("特殊品")
    private Integer itemIsSpecial;
    @ApiModelProperty("异型")
    private Integer itemIsSpecialSharped;
    @ApiModelProperty("贵重物品")
    private Integer itemIsValuable;
    @ApiModelProperty("危险品")
    private Integer itemIsDangerous;
    @ApiModelProperty("进口标记")
    private Integer itemIsImported;
    @ApiModelProperty("是否称重")
    private Integer itemIsWeighed;
    @ApiModelProperty("是否赠品")
    private Integer itemIsGift;
    @ApiModelProperty("是否批号")
    private Integer itemIsBatch;
    @ApiModelProperty("是否批次")
    private Integer itemIsLot;
    @ApiModelProperty("是否序列号管理")
    private Integer itemIsSeque;
    @ApiModelProperty("是否效期管理")
    private Integer itemIsExpire;
    @ApiModelProperty("召回标识")
    private Integer reacallIsEnable;
    @ApiModelProperty("是否允许拆中包装")
    private Integer itemIsUnpack;
    @ApiModelProperty("商品是否复检(0否1是) 默认0")
    private Integer itemIsRecheck;
    @ApiModelProperty("商品是否锁定(0否1是) 默认0")
    private Integer isLock;
    @ApiModelProperty("商品是否代管(0否1是) 默认0")
    private Integer isHosted;
    @ApiModelProperty("是否重物")
    private BigDecimal itemIsWeight;
    @ApiModelProperty("面积系数")
    private String sValue;

}