package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/2/8 11:36
 */
@Data
public class ContainerOutTaskDto {



    /**
     * 容器号
     */
    @ApiModelProperty(value = "容器号")
    private String containerNo;


    @ApiModelProperty("作业类型")
    private Integer billType;


    @ApiModelProperty(value = "业务类型")
    private String businessType;

    @ApiModelProperty(value = "eis波次创建时间")
    private Date eisWaveTime;

    /**
     * 出库任务id
     */
    @ApiModelProperty(value = "出库任务id")
    private Integer outboundId;

    /**
     * 出库任务明细id
     */
    @ApiModelProperty(value = "出库任务明细id")
    private Integer outboundDetailId;

    /**
     * 容器类型
     */
    @ApiModelProperty(value = "容器类型")
    private Integer containerType;

    /**
     * 库区（四向库：SX01;AGV托盘：AGVTP01;AGV货架：AGVHJ01 ）
     */
    @ApiModelProperty(value = "库区（四向库：SX01;AGV托盘：AGVTP01;AGV货架：AGVHJ01 ）")
    private String warehouseArea;


    private Integer deptNum;

    private String areaNo;

    private String locationNo;

    private Integer priority;



    @ApiModelProperty(value = "目标区域（WMS货位）")
    private String wmsTargetArea;




    @ApiModelProperty("abc商品属性")
    private String abcType;
}
