package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-22 11:32
 **/
@Data
public class InventoryAuditDto {
    @ApiModelProperty("接口唯一性ID")
    @NotBlank(message = "接口唯一性ID不能为空")
    private String msgId;

    @ApiModelProperty("仓库编码")
    @NotBlank(message = "仓库编码不能为空")
    private String warehouseId;

    @ApiModelProperty("任务id")
    private String taskId;

    @ApiModelProperty("billNo")
    private String billNo;

    @ApiModelProperty("行号")
    @NotBlank(message = "行号不能为空")
    private String taskLineId;

    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("货位")
    private String locNo;

    @ApiModelProperty("WMS货位")
    @NotBlank(message = "WMS货位不能为空")
    private String wmsLocationCode;

    @ApiModelProperty("工作类型")
    private String workType;

    @ApiModelProperty("业务类型")
    @NotBlank(message = "业务类型不能为空")
    private String businessType;

    @ApiModelProperty("物料号")
    @NotBlank(message = "物料号不能为空")
    private String itemId;

    @ApiModelProperty("批次号")
    @NotBlank(message = "批次号不能为空")
    private String lotId;

    @ApiModelProperty("货主")
    @NotBlank(message = "货主不能为空")
    private String ownerId;

    @ApiModelProperty("包装id")
    @NotBlank(message = "包装id不能为空")
    private String packId;

    @ApiModelProperty("原库存数量")
    private BigDecimal inventoryQty;

    @ApiModelProperty("确认数量")
    @NotNull(message = "确认数量不能为空")
    private BigDecimal confirmQty;

    @ApiModelProperty("异常消息")
    private String msg;
}
