package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-22 11:32
 **/
@Data
public class InventoryLockDto {
    @ApiModelProperty("接口唯一性ID")
    @NotBlank(message = "接口唯一性ID")
    private String msgId;

    @ApiModelProperty("仓库编码")
    @NotBlank(message = "仓库编码")
    private String warehouseId;

    @ApiModelProperty("任务id")
    @NotBlank(message = "任务id")
    private String taskId;

    @ApiModelProperty("行号")
    @NotBlank(message = "行号")
    private String taskLineId;

    @ApiModelProperty("容器号")
    @NotBlank(message = "容器号")
    private String containerNo;

    @ApiModelProperty("WMS货位")
    @NotBlank(message = "WMS货位")
    private String wmsLocationCode;

    @ApiModelProperty("工作类型")
    @NotBlank(message = "工作类型")
    private String workType;

    @ApiModelProperty("业务类型")
    @NotNull(message = "业务类型")
    private String businessType;

    @ApiModelProperty("物料号")
    @NotBlank(message = "物料号")
    private String itemId;

    @ApiModelProperty("批次号")
    @NotBlank(message = "批次号")
    private String lotId;

    @ApiModelProperty("货主")
    @NotBlank(message = "货主")
    private String ownerId;

    @ApiModelProperty("包装id")
    @NotBlank(message = "包装id")
    private String packId;

    @ApiModelProperty("数量")
    private BigDecimal confirmQty;

    private String msg;
}
