package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/1/16 13:44
 */

@Data
public class OutBoundDetailDto {

    @ApiModelProperty("Wms任务单号")
    private String taskId;
    @ApiModelProperty("任务行号")
    private String seqNo;
    @ApiModelProperty("物料ID")
    private String itemId;
    @ApiModelProperty("批次ID")
    private String lotId;
    @ApiModelProperty("货主ID")
    private String ownerId;
    @ApiModelProperty("包装ID")
    private String packId;
    @ApiModelProperty("数量（最小库存单位）")
    private BigDecimal qty;
    @ApiModelProperty("1：当前商品为药品\n" +
            "2：当前商品为物料，物料不参与库存计算\n")
    private Integer isMaterial;
    @ApiModelProperty("企业ID")
    private String enterpriseId;
    @ApiModelProperty("目标区域（WMS货位）")
    private String targetArea;
    @ApiModelProperty("目标点位")
    private String targetLocation;
    @ApiModelProperty("容器编号")
    private String containerNo;
    @ApiModelProperty("盘点是否审核")
    private Integer isCheck;
}
