package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-09 16:03
 **/
@Data
public class OutBoundDto {


    @ApiModelProperty("任务号")
    @NotBlank(message = "任务号不能为空")
    private String msgId;

    @ApiModelProperty("组单策略")
    @NotNull(message = "组单策略不能为空")
    private Integer groupOrderPolicy;

    @ApiModelProperty("仓库编号")
    @NotBlank(message = "仓库编号不能为空")
    private String warehouseId;

    private List<OutBoundMainDto> subList;

}
