package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-21 14:35
 **/

@Data
public class PriorityDto {

    @ApiModelProperty("接口唯一性ID")
    @NotBlank(message = "接口唯一性ID")
    private String msgId;

    @ApiModelProperty("仓库编号")
    @NotBlank(message = "仓库编号不能为空")
    private String warehouseId;

    @ApiModelProperty("任务号")
    @NotBlank(message = "任务号不能为空")
    private String taskId;

    @ApiModelProperty("订单号")
    private String billNo;

    @ApiModelProperty("作业类型")
    @NotBlank(message = "作业类型不能为空")
    private String workType;

    @ApiModelProperty("业务类型")
    @NotBlank(message = "业务类型不能为空")
    private String businessType;

    @ApiModelProperty("订单优先级")
    @NotNull(message = "订单优先级不能为空")
    private Integer priority;

    @ApiModelProperty("错误信息")
    private String msg;

}
