package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentConfirm {
    @NotEmpty(message = "商品id不能为空")
    @ApiModelProperty("商品id")
    private String itemId;
    @NotNull(message = "出库单id不能为空")
    @ApiModelProperty("订单id")
    private Integer outboundId;
    @NotNull(message = "出库单详情id不能为空")
    @ApiModelProperty("出库单详情id")
    private Integer outboundDetailId;
    @ApiModelProperty("计划供包数量")
    @NotNull(message = "计划供包数量不能为空")
    private BigDecimal planOfferQty;
    @ApiModelProperty("供包数量")
    @NotNull(message = "供包数量不能为空")
    private BigDecimal planQty;
    @ApiModelProperty("供包口编号")
    @NotEmpty(message = "供包口编号不能为空")
    private String stationNo;
    @NotNull(message = "是否监管不能为空")
    @ApiModelProperty("是否监管")
    private Integer itemHealthSuperviseflag;
    @ApiModelProperty("药监码")
    private List<String> drugSupervisionCode;
}
