package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentOrderDto {
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("波次号")
    private String waveNo;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("出库单id")
    private Integer outboundId;
    @ApiModelProperty("出库单详情id")
    private Integer outboundDetailId;
    @ApiModelProperty("供包数量")
    private BigDecimal planQty;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("优先级")
    private Integer priority;
    @ApiModelProperty("已复核数量")
    private BigDecimal offerQty;

    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("生产商名称")
    private String manufacturerName;
    @ApiModelProperty("商品规格")
    private String specification;
    @ApiModelProperty("单位")
    private String pieceUom;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("生产日期")
    private String produceDate;
    @ApiModelProperty("有效期")
    private String expireDate;
    @ApiModelProperty("产地")
    private String countryOrigin;
    @ApiModelProperty("批准文号")
    private String itemHealthApprovalNbr;
    @ApiModelProperty("业主名称")
    private String cargoOwnerName;
    @ApiModelProperty("上市许可持有人")
    private String itemHealthListedLicensor;
    @ApiModelProperty("是否监管")
    private Integer itemHealthSuperviseflag;
    @ApiModelProperty("来源货位")
    private String source;
    @ApiModelProperty("客户名称")
    private String companyName;
    @ApiModelProperty("完成率")
    private Integer completionRate;

    @ApiModelProperty("计划复核数量")
    private BigDecimal planOfferQty;
    private String code;
    @ApiModelProperty("是否自动复核 1是")
    private Integer autoOffer;
}
