
package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentTaskRecordResultDto {
    @ApiModelProperty("商品id")
    private Integer id;
    @ApiModelProperty("订单号")
    private String billNo;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String itemCode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("wcsTaskId")
    private String wcsTaskId;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("发送状态 0未发送  1已发送 2发送失败")
    private Integer sendStatus;
    @ApiModelProperty("扫描状态（0、未扫描，1、已扫描）")
    private Integer scanStatus;
    @ApiModelProperty("落格状态（0、未落格，1、已落格 2:落格至异常格口 3:商品丢失")
    private Integer logeStatus;
    @ApiModelProperty("最终落格格口")
    private String logeGirdNo;
    @ApiModelProperty("0商品供包  1首营、质检票据供包 2.清单、发票供包")
    private Integer allotmentType;
    @ApiModelProperty("任务下发时间")
    private Date taskIssueDate;
    @ApiModelProperty("扫描时间")
    private Date scanDate;
    @ApiModelProperty("落格时间")
    private Date fallLatticeDate;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("计划数量")
    private BigDecimal planQty;
    @ApiModelProperty("供包数量")
    private BigDecimal qty;
    @ApiModelProperty("药监码")
    private String code;
}
