package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/18 9:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AssemblyStateDto {
    @ApiModelProperty("类型 package组单 order出库单")
    @NotBlank(message = "类型不能为空")
    private String type;
    @ApiModelProperty("控制 1暂停 0继续")
    @NotNull(message = "控制状态不能为空")
    @Min(value = 0,message = "控制状态最小不能超过0")
    @Max(value = 1,message = "控制状态最大不能超过1")
    private Integer state;
}
