package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/11 16:44
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DismantleConfirmReqDto {

    @NotNull(message = "数量不能为空")
    @Min(value = 0, message = "数量不能小于0")
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @NotNull(message = "件数不能为空")
    @ApiModelProperty("件数")
    private BigDecimal pieceQty;
    @NotNull(message = "包装数量不能为空")
    @ApiModelProperty("包装数量")
    private BigDecimal pickQty;
    @NotEmpty(message = "货格不能为空")
    @ApiModelProperty("货格")
    private String containerSubNo;
    @NotNull(message = "物料id不能为空")
    @ApiModelProperty("物料id")
    private String itemId;
    @NotNull(message = "批次id不能为空")
    @ApiModelProperty("批次id")
    private String lotId;
    @NotNull(message = "任务id不能为空")
    @ApiModelProperty("任务id")
    private Integer id;
    @ApiModelProperty("药监码")
    private List<String> drugSupervisionCode;
    @ApiModelProperty("是否药监")
    private Integer superviseflag;
    @ApiModelProperty("EIS内部波次")
    private String eisWaveNo;
}
