package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MergeContainerConfirmDto {
    @ApiModelProperty("原托盘")
    @NotBlank(message = "原托盘不能为空")
    private String sourceContainerNo;
    @ApiModelProperty("目标托盘")
    @NotBlank(message = "目标托盘不能为空")
    private String targetContainerNo;
    @ApiModelProperty("数量")
    @NotNull(message = "数量不能为空")
    private BigDecimal qty;
}
