package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Validated
public class NoteConfirm {
    @NotEmpty(message = "订单号不能为空")
    @ApiModelProperty("订单号")
    private String billNo;
    @NotNull(message = "票据类型不能为空")
    @ApiModelProperty("票据类型(1.首营/质检报告单  2.发票/出库清单)")
    private Integer noteType;
    @ApiModelProperty("供包口编号")
    @NotEmpty(message = "供包口编号不能为空")
    private String stationNo;

}
