package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OutboundOrderRespDto {

    @ApiModelProperty("出库单号")
    private String billNo;
    @ApiModelProperty("任务号")
    private String taskId;
    @ApiModelProperty("客户名称")
    private String companyName;
    @ApiModelProperty("区域名称")
    private String province;
    @ApiModelProperty("制单时间")
    private LocalDateTime orderCreateTime;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("优先级")
    private Integer priority;
    @ApiModelProperty("业务类型 销售出库（DO_SO）补货出库（INV_RTM）加工出库（DO_WKO）调拨出库（DO_DB_CP）退货出库（DO_RCVRETURN）盘点出库（INV_PLANCHECK）养护出库（INV_CONSERVE）")
    private String businessType;
    @ApiModelProperty("状态(-20 库存不足,-10.取消,0.创建 10.开始,11.出库搬运全部下发 15已复核 20.完成,")
    private Integer status;
    @ApiModelProperty("是否缺货 1是")
    private Integer isLack;
    @ApiModelProperty("是否拦截 1是")
    private Integer isLock;
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty("波次号")
    private String waveNo;
    @ApiModelProperty("所属库区")
    private String wmsLocationCode;
    private Integer id;
}
