
package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PdTaskConfirmReqDto {

    @ApiModelProperty("站台编号")
    @NotBlank(message = "站台编号不能为空")
    private String stationNo;
    @ApiModelProperty("作业类型 40盘点 50养护")
    @NotNull(message = "作业类型不能为空")
    private Integer taskType;
    @ApiModelProperty("容器号")
    @NotBlank(message = "容器号不能为空")
    private String containerNo;
    @ApiModelProperty("货格号")
    @NotBlank(message = "货格号不能为空")
    private String containerSubNo;
    @ApiModelProperty("任务id")
    @NotNull(message = "任务id不能为空")
    private Integer taskId;
    @ApiModelProperty("货架面")
    private String planes;
    @ApiModelProperty("实际盘点数量")
    @NotNull(message = "实际盘点数量不能为空")
    private BigDecimal qty;

    private Boolean toStacker;

    @ApiModelProperty("养护结论（1：合格；2：不合格；3：待处理）")
    private String yhResult;
    @ApiModelProperty("翻剁")
    private String yhItem1;
    @ApiModelProperty("除湿")
    private String yhItem2;
    @ApiModelProperty("加湿")
    private String yhItem3;
    @ApiModelProperty("升温")
    private String yhItem4;
    @ApiModelProperty("降温")
    private String yhItem5;
    @ApiModelProperty("通风")
    private String yhItem6;
    @ApiModelProperty("除尘")
    private String yhItem7;
    @ApiModelProperty("避光")
    private String yhItem8;
    @ApiModelProperty("防虫蛀")
    private String yhItem9;
    @ApiModelProperty("防霉变")
    private String yhItem10;
    @ApiModelProperty("防潮")
    private String yhItem11;
    @ApiModelProperty("遮光")
    private String yhItem12;
}
