package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/20 10:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingConfirmReqDto {
    @ApiModelProperty("拣货数量")
    @NotNull(message = "拣选数量不能为空")
    @Min(value = 1, message = "拣选数量不能小于等于0")
    private BigDecimal pickQty;
    @ApiModelProperty("任务id")
    @NotNull(message = "任务id不能为空")
    private Integer id;
}
