/**
 * Project Name:eis-business-facade
 * File Name:PageDto.java
 * Package Name:com.prolog.eis.dto.page
 * Date:2023年1月4日下午5:07:23
 * Copyright (c) 2023, bluemobi All Rights Reserved.
 *
*/

package com.prolog.eis.dto.page;

import com.prolog.framework.core.annotation.Ignore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * Description: <br/>
 * Date: 2023年1月4日 下午5:07:23 <br/>
 * 
 * @version
 * @see
 */
@Data
public class PrintReqDto {

    @ApiModelProperty("创建时间")
    @NotBlank(message = "创建时间条件不能为空")
    private String createTime;

    @ApiModelProperty("出库指示番号")
    private String upperSystemTaskId;

    @ApiModelProperty("指示番号")
    private String instructionNo;

    @ApiModelProperty("仓库ID")
    private String wmsWarehouseId;

    @ApiModelProperty("货主编号")
    private String ownerId;

    private String startTime;

    private String endTime;

    @Ignore
    private int pageSize;

    @Ignore
    private int pageNum;

}
