package com.prolog.eis.dto.page;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/19 9:53
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StockRespDto {
    @ApiModelProperty("容器号")
    @ExcelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("存储区域")
    @ExcelProperty("存储区域")
    private String area;
    @ApiModelProperty("货主")
    @ExcelProperty("货主")
    private String ownerName;
    @ApiModelProperty("物料编码")
    @ExcelProperty("物料编码")
    private String itemCode;
    @ApiModelProperty("物料名称")
    @ExcelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("批次")
    @ExcelProperty("批次")
    private String lotId;
    @ApiModelProperty("有效期")
    @ExcelProperty("有效期")
    private String expire;
    @ApiModelProperty("数量")
    @ExcelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("件数")
    @ExcelProperty("件数")
    private BigDecimal packSize;
    @ApiModelProperty("零散数")
    @ExcelProperty("零散数")
    private BigDecimal remainQty;
    @ApiModelProperty("是否预占")
    @ExcelProperty("是否预占")
    private Integer advance;
    @ApiModelProperty("是否锁定")
    @ExcelProperty("是否锁定")
    private Integer isLock;
    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
    @ExcelIgnore
    private Integer id;
    @ExcelIgnore
    private String itemId;

}
