package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 10:36
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UnpackingDto {
    @NotNull(message = "出库单id不能为空")
    @ApiModelProperty("出库单id")
    private Integer id;
    @ApiModelProperty("拆箱数量")
    @NotNull(message = "数量不能为空")
    @Min(value = 1, message = "拆箱数量不能小于1")
    private Integer num;
    @ApiModelProperty("格口号")
    @NotBlank(message = "格口号不能为空")
    private String gridNo;
}
