package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class ConfirmMoveContainerReqDto {

    @ApiModelProperty("子容器号")
    @NotEmpty(message = "子容器号不能为空")
    private String containerSubNo;

    @ApiModelProperty("商品Id")
    @NotEmpty(message = "商品Id不能为空")
    private String itemId;

    @ApiModelProperty("批号ID")
    @NotEmpty(message = "批号ID不能为空")
    private String lotId;

    @ApiModelProperty("包装ID")
    @NotEmpty(message = "包装ID不能为空")
    private String packId;

    @ApiModelProperty("移库数量")
    @NotNull(message = "移库数量不能为空")
    private BigDecimal moveQty;

    @ApiModelProperty("WMS区域编号")
    @NotEmpty(message = "WMS区域编号不能为空")
    private String wmsAreaNo;
}
