package com.prolog.eis.dto.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class CategoryAreaDto {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("货主编号")
    private String ownerId;

    @ApiModelProperty("货主名称")
    private String ownerName;

    @ApiModelProperty("商品条码")
    private String itemBarcode;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("商品规格")
    private String itemType;

    @ApiModelProperty("商品大类")
    @NotBlank(message = "商品大类不能为空")
    private String itemHealthCategory;

    @ApiModelProperty("商品大类")
    @NotBlank(message = "限定区域名称不能为空")
    private String itemHealthCategoryName;

    @ApiModelProperty("限定区域")
    @NotBlank(message = "商品大类区域不能为空")
    private String areaNo;
}
