package com.prolog.eis.dto.shelves;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zhanghan
 */
@Data
@ApiModel("货架信息")
public class ShelvesInfoDTO {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("货架号")
    private String palletNo;

    @ApiModelProperty("区域")
    private String areaNo;

    @ApiModelProperty("区域")
    private String subArea;

    @ApiModelProperty("角度")
    private Integer angle;

    @ApiModelProperty("是否锁定 0 不锁定 1 锁定")
    private Integer isLock;

    @ApiModelProperty("是否为模板货架")
    private Integer isMode;

    @ApiModelProperty("is_mode 为1 时有值 货架模板类型")
    private String modeType;

    @ApiModelProperty("货格数量")
    private String count;

    @ApiModelProperty("货位")
    private String palletLocation;

    @ApiModelProperty("商品大类")
    private String  palletType;

    @ApiModelProperty("货位ABC")
    private String  abcType;

    @ApiModelProperty("面")
    private String  planes;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
