package com.prolog.eis.dto.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

import static com.prolog.eis.utils.GoodsPropertyUtils.getGoodsProperty;

@Data
public class ContainerInfoDto {

    private String containerNo;

    private String containerSubNo;

    private String warehouseArea;

    private Integer bizPropertyId;

    private Integer containerType;


    private BigDecimal qty;

    private BigDecimal lockQty;

    private String areaNo;

    private Integer taskNum;

    private Integer orderNum = 0;

    private Integer depth;

    @ApiModelProperty("物料号")
    private String itemId;
    @ApiModelProperty("批次号")
    private String lotId;
    @ApiModelProperty("货主")
    private String ownerId;
    @ApiModelProperty("包装id")
    private String packId;
    @ApiModelProperty("生产日期")
    private String prodDate;
    /**
     * 业务属性（多属性拼接）
     */
    private String businessProperty;


    public String getBusinessProperty(){
        return getGoodsProperty(this.itemId,this.lotId,this.ownerId,this.packId);
    }
    public String getBusinessProperty2(){
        return getGoodsProperty(this.itemId,this.lotId);
    }
}
