package com.prolog.eis.dto.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

import static com.prolog.eis.utils.GoodsPropertyUtils.getGoodsProperty;

@Data
public class ContainerTaskDto {

    private String containerNo;

    private String containerSubNo;

    private Integer orderId;

    private Integer orderDetailId;
    private String seqNo;
    private Integer bizPropertyId;
    @ApiModelProperty("绑定数量")
    private BigDecimal bindingNum;
    @ApiModelProperty("库存数量")
    private BigDecimal ContainerInfoQyt;
    @ApiModelProperty("容器类型")
    private Integer containerType;

    private Integer taskType;

    private String abcType;

    private String waveNo;

    private String companyId;

    private Integer priority;

    /**
     * 库区（四向库：SX01;AGV托盘：AGVTP01;AGV货架：AGVHJ01）
     */
    private String wmsLocationCode;

    private String targetArea;

    /**
     * 业务属性（多属性拼接）
     */
    private String businessProperty;
    private String itemId;
    private String ownerId;
    private String lotId;
    private String packId;
    private Integer pickOrderId;

    public String getBusinessProperty() {
        return getGoodsProperty(this.itemId, this.lotId, this.ownerId, this.packId);
    }
}
