package com.prolog.eis.dto.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
public class OrderDto {

    private Integer orderId;

    private String waveNo;

    private Integer status;

    private Integer priority;

    private Date createTime;

    private String eisWaveNo;

    private Date eisWaveTime;

    private String companyId;

    private Integer pickOrderId;
    /**
     * WMS货位
     */
    private String wmsLocationCode;
    /**
     * WMS下传的作业类型
     */
    private String workType;
    @ApiModelProperty(value = "业务类型")
    private String businessType;

    private Integer billType;

    private Integer wmsStoreStrategy;
    @ApiModelProperty(value = "上游仓库id")
    private String wmsWarehouseId;

    private String billNo;

    @ApiModelProperty(value = "上游系统任务id")
    private String upperSystemTaskId;

    private List<OrderDetailDto> orderDetailDtoList;
    @ApiModelProperty("订单所需体积")
    private BigDecimal volume;
    @ApiModelProperty("需拆的格口数量")
    private Integer gridNum;
    @ApiModelProperty("订单销售时间")
    private LocalDateTime orderCreateTime;
}
