package com.prolog.eis.dto.wcs;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@NoArgsConstructor
@AllArgsConstructor
@Data
@Validated
public class WcsCarryBackDto {

    @ApiModelProperty("任务ID\n")
    @NotEmpty(message = "任务ID不能为空")
    private String taskid;

    @ApiModelProperty("1：正常\n" +
            "2:  落格至异常格口\n" +
            "3:商品丢失\n\n")
    @NotNull(message = "完成状态\n不能为空")
    private Integer status;

    @ApiModelProperty("实际格口号\n   完成状态1、2必填；\n" +
            "3非必填\n")
    private String acutoloc;


}
