package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@NoArgsConstructor
@Data
public class CarryTaskReqDto {

    @ApiModelProperty("指令ID（每行唯一")
    @NotBlank(message = "指令ID（每行唯一")
    private String msgId;

    @ApiModelProperty("仓库id")
    @NotBlank(message = "仓库id")
    private String warehouseId;

    @ApiModelProperty("搬运任务单号")
    @NotBlank(message = "搬运任务单号")
    private String taskId;

    @Valid
    @NotNull(message = "详情列表不能为空")
    private List<CarryTaskDetailReqDto> sublist;

}
