package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@NoArgsConstructor
@Data
public class PacketPushDto {

    @ApiModelProperty("指令ID（每行唯一）")
    @NotBlank(message = "指令ID")
    private String msgId;

    @ApiModelProperty("单据编号")
    @NotBlank(message = "单据编号")
    private String billNo;

    @ApiModelProperty("WMS任务包号")
    @NotBlank(message = "WMS任务包号")
    private String taskId;

    @ApiModelProperty("订单优先级")
    @NotNull(message = "订单优先级")
    private Integer priority;

    @Valid
    @NotEmpty(message = "集合")
    private List<PacketPushInfoDto> subList;

}
