package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@NoArgsConstructor
@Data
public class PacketPushInfoDto {

    @ApiModelProperty("WMS单据任务行号\n")
    private String seqNo;

    @ApiModelProperty("货位号\n")
    @NotBlank(message = "货位号\n")
    private String locNo;

    @ApiModelProperty("区域号\n")
    @NotBlank(message = "区域号\n")
    private String areaNo;

    @ApiModelProperty("区域执行顺序")
    @NotBlank(message = "区域执行顺序")
    private String executionOrder;

    @ApiModelProperty("区域类型（0：电子标签货架\u000B1：隔板货架\n）")
    @NotBlank(message = "区域类型")
    private String areaType;

    @ApiModelProperty("数量\n")
    @NotNull(message = "数量\n")
    private BigDecimal qty;
}
