package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@Data
public class PickWorkFinishDto {

    @ApiModelProperty("出库任务单号")
    @NotBlank(message = "出库任务单号")
    private String taskId;

    @ApiModelProperty("行号")
    @NotBlank(message = "行号")
    private String seqNo;

    @ApiModelProperty("区域")
    @NotBlank(message = "区域")
    private String areaNo;

    @ApiModelProperty("货位")
    @NotBlank(message = "货位")
    private String locNo;

    @ApiModelProperty("数量")
    @NotNull(message = "数量")
    private BigDecimal qty;

    @ApiModelProperty("指令ID（每行唯一）")
    @NotBlank(message = "指令ID")
    private String msgId;
}
