package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
public class WmsOutRecheckDto {

    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("Wms任务单号")
    private String taskId;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("企业id")
    private String enterpriseId;

    @ApiModelProperty("打印机地址")
    private String printUrl;
    @ApiModelProperty("任务行号")
    private String taskLineId;

    private List<WmsOutRecheckInfoDto> subList;
    //药监码集合
    private List<String> drugSupervisionCode;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    class WmsOutRecheckInfoDto{
        @ApiModelProperty("货主编号")
        private String ownerId;
        @ApiModelProperty("商品")
        private String itemId;
        @ApiModelProperty("批次")
        private String lotId;
        @ApiModelProperty("包装")
        private String packId;
        @ApiModelProperty("库存数量")
        private BigDecimal qty;
    }

}
