package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
public class WmsTaskFinishDto {

    @ApiModelProperty("请求id")
    private String msgId;
    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("作业类型")
    private String workType;
    @ApiModelProperty("业务类型")
    private String businessType;
    @ApiModelProperty("Wms任务单号")
    private String taskId;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("企业id")
    private String enterpriseId;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("任务行号")
    private String taskLineId;
    @ApiModelProperty("货主编号")
    private String ownerId;
    @ApiModelProperty("商品")
    private String itemId;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("包装")
    private String packId;
    @ApiModelProperty("货位")
    private String locNo;
    @ApiModelProperty("库存数量")
    private BigDecimal inventoryQty;
    @ApiModelProperty("短拣数量")
    private String lackQty;
    @ApiModelProperty("0：短拣；1:不短拣")
    private Integer isLack;
    @ApiModelProperty("实盘数量")
    private String countQty;
    @ApiModelProperty("wms大货位")
    private String wmsLocationCode;
    @ApiModelProperty("源区域（WMS货位）")
    private String originalArea;
    @ApiModelProperty("源点位")
    private String originalLocation;
    @ApiModelProperty("员工工号")
    private String employeeId;
    @ApiModelProperty("是否零发整（0否 1是）")
    private Integer isLfz;
    @ApiModelProperty("用于WMS返回值")
    private Integer flg;

    private List<WmsTaskFinishDetailDto> itemList;
}
