package com.prolog.eis.model.carry;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: wms下发搬运任务
 * @date 2023-04-23 17:27
 */
@Data
@Table("wms_carry_task_his")
public class WmsCarryTaskHis {


	@Column("id")
	@ApiModelProperty("业务id")
	private Integer id;

	@Column("task_id")
	@ApiModelProperty("任务号")
	private String taskId;

	@Column("task_type")
	@ApiModelProperty("任务类型")
	private String taskType;

	@Column("status")
	@ApiModelProperty("状态(0.创建,10.开始,20.完成)")
	private Integer status;

	@Column("enterprise_id")
	@ApiModelProperty("企业id")
	private String enterpriseId;

	@Column("priority")
	@ApiModelProperty("优先级")
	private Integer priority;

	@Column("container_no")
	@ApiModelProperty("容器号")
	private String containerNo;


	@Column("warehouse_id")
	@ApiModelProperty("上游仓库id")
	private String warehouseId;

	@Column("wms_location_code")
	@ApiModelProperty("wms大货位")
	private String wmsLocationCode;

	@Column("business_type")
	@ApiModelProperty("业务类型")
	private String businessType;


	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private Date updateTime;

	@Column("original_area")
	@ApiModelProperty("")
	private String originalArea;

	@Column("original_location")
	@ApiModelProperty("起点坐标")
	private String originalLocation;

	@Column("target_area")
	@ApiModelProperty("目标区域")
	private String targetArea;

	@Column("target_location")
	@ApiModelProperty("目标点位")
	private String targetLocation;

	@Column("msg_id")
	@ApiModelProperty("指令ID（每行唯一）")
	private String msgId;

	@Column("extend_1")
	@ApiModelProperty("扩展字段）")
	private String extend1;


	@Column("extend_2")
	@ApiModelProperty("扩展字段）")
	private String extend2;

	@Column("extend_3")
	@ApiModelProperty("扩展字段）")
	private String extend3;

}

