package com.prolog.eis.model.config;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("BCR配置")
@Table(value = "bcr_config")
public class BcrConfig {

    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty("id")
    private Integer id;

    @Column("area_no")
    @ApiModelProperty("区域")
    private String areaNo;

    @Column("location_no")
    @ApiModelProperty("坐标")
    private String locationNo;

    @Column("strategy_name")
    @ApiModelProperty("bcr策略")
    private String strategyName;

    @Column("barcode_handle")
    @ApiModelProperty("是否条码处理")
    private Integer barcodeHandle;

    @Column("shape_handle")
    @ApiModelProperty("是否体积检测")
    private Integer shapeHandle;

    @Column("weight_handle")
    @ApiModelProperty("是否重量检测")
    private Integer weightHandle;

    @Column("direction_handle")
    @ApiModelProperty("入库口方向校验(0：不校验，1校验入库口方向)")
    private Boolean directionHandle;

    @Column("task_handle")
    @ApiModelProperty("是否处理入库任务")
    private Integer taskHandle;

    @Column("bcr_type")
    @ApiModelProperty("bcr类型 1入库bcr  2回库bcr")
    private Integer bcrType;

    @Column("allocation")
    @ApiModelProperty("是否支持二次分配 1是 0否")
    private Integer allocation;

    @Column("limit_weight")
    @ApiModelProperty("限重")
    private String limitWeight;

    @Column("container_no")
    @ApiModelProperty("容器号")
    private String containerNo;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

}
