package com.prolog.eis.model.config;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("出库策略配置")
@Table("outbound_strategy_config")
public class OutboundStrategyConfig {

    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty("id")
    private Integer id;

    @Column("bill_type")
    @ApiModelProperty("业务类型")
    private Integer billType;

    @Column("strategy_name")
    @ApiModelProperty("策略名称")
    private String strategyName;

    @Column("relate_store_strategy_name")
    @ApiModelProperty("关联库存策略名")
    private String relateStoreStrategyName;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;
    /**
     * 库区（四向库：SX01;AGV托盘：AGVTP01;AGV货架：AGVHJ01 ）
     */
    @Column(value = "warehouse_area")
    @ApiModelProperty(value = "库区（四向库：SX01;AGV托盘：AGVTP01;AGV货架：AGVHJ01 ）")
    private String warehouseArea;

}
