package com.prolog.eis.model.config;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("托盘定位策略配置")
@Table("pallet_pos_strategy_config")
public class PalletPosStrategyConfig {

    @Id
    @Column("id")
    @ApiModelProperty("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    private Integer id;

    @Column("priority")
    @ApiModelProperty("优先级")
    private Integer priority;


    @Column("strategy_name")
    @ApiModelProperty("策略名称 策略名：第一原则只能选一种com.prolog.eis.pallet_positioning.ClearTrayStrategy或者com.prolog.eis.pallet_positioning.EfficiencyStrategy两者之间无法并列")
    private String strategyName;


    @Column("strategy_group")
    @ApiModelProperty("策略分组 订单bill_type+库区warehouse_area 通过&拼接")
    private String strategyGroup;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

}
