package com.prolog.eis.model.config;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("路径分配策略")
@Table("roadway_all_strategy_config")
public class RoadwayAllStrategyConfig {

    @Id
    @Column("id")
    @ApiModelProperty("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    private Integer id;

    @Column("priority")
    @ApiModelProperty("优先级")
    private Integer priority;

    @Column("strategy_name")
    @ApiModelProperty("策略名称")
    private String strategyName;

    @Column("strategy_desc")
    @ApiModelProperty("策略描述")
    private String strategyDesc;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

}
