package com.prolog.eis.model.container;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Description
 * @Author xx.xx
 * @Date 2023-02-13
 */

@Data
@Table("container_store_change")
public class ContainerStoreChange implements Serializable {

    private static final long serialVersionUID = 987835821373283504L;

    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty("id")
    private Integer id;

    @Column("container_no")
    @ApiModelProperty("容器号")
    private String containerNo;

    @Column("container_sub_no")
    @ApiModelProperty("子容器号")
    private String containerSubNo;


    @Column("task_type")
    @ApiModelProperty("任务类型")
    private Integer taskType;

    @Column("soure_qty")
    @ApiModelProperty("原库存数")
    private BigDecimal soureQty;

    @Column("change_qty")
    @ApiModelProperty("改变数量")
    private BigDecimal changeQty;

    @Column("target_qty")
    @ApiModelProperty("修改后库存数")
    private BigDecimal targetQty;

    @Column("upper_system_id")
    @ApiModelProperty("关联业务单据号")
    private String upperSystemId;

    @Column("remark")
    @ApiModelProperty("备注")
    private String remark;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;


    /**
     * 包装ID
     */
    @Column(value = "pack_id")
    @ApiModelProperty(value = "包装ID")
    private String packId;

    /**
     * 货主ID
     */
    @Column(value = "owner_id")
    @ApiModelProperty(value = "货主ID")
    private String ownerId;

    /**
     * 批次ID
     */
    @Column(value = "lot_id")
    @ApiModelProperty(value = "批次ID")
    private String lotId;

    /**
     * 商品ID
     */
    @Column(value = "item_id")
    @ApiModelProperty(value = "商品ID")
    private String itemId;

    /*@Column("biz_property_id")
    @ApiModelProperty("业务属性id")
    private Integer bizPropertyId;*/

}
