package com.prolog.eis.model.container;


import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 出库容器任务表
 */
@ApiModel(value = "空托任务")
@Data
@Table(value = "empty_container_task")
public class EmptyContainerTask {
    /**
     * id
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 容器号
     */
    @Column(value = "container_no")
    @ApiModelProperty(value = "容器号")
    private String containerNo;

    /**
     * 容器号
     */
    @Column(value = "layer")
    @ApiModelProperty(value = "楼层")
    private Integer layer;


    /**
     * 容器号
     */
    @Column(value = "wms_location_code")
    @ApiModelProperty(value = "叠盘机故障情况下搬运的目标库区")
    private String wmsLocationCode;


    /**
     * 创建时间
     */
    @Column(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

}