package com.prolog.eis.model.container;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author zmr
 * @description: 商品资料表
 * @date 2023-07-06 11:27
 */
@Data
@Table("goods_info")
public class GoodsInfo {

	@Id
	@Column("item_id")
	@ApiModelProperty("主键ID")
	private String itemId;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private LocalDateTime updateTime;

	@Column("item_code")
	@ApiModelProperty("商品编码")
	private String itemCode;

	@Column("item_name")
	@ApiModelProperty("商品名称")
	private String itemName;

	@Column("pack_size")
	@ApiModelProperty("包装数量")
	private BigDecimal packSize;


	@Column("abc_type")
	@ApiModelProperty("ABC品")
	private String abcType;

	@Column("item_type")
	@ApiModelProperty("商品大类")
	private String itemType;

	@Column("volume")
	@ApiModelProperty("单商品体积")
	private BigDecimal volume;


	@Column("zjm")
	@ApiModelProperty("助记码")
	private String zjm;

	@Column("ettscodeflag")
	@ApiModelProperty("是否监管")
	private Integer ettscodeflag;


	@Column("yjm")
	@ApiModelProperty("药监码")
	private String yjm;


	@Column("country_origin")
	@ApiModelProperty("产地")
	private String countryOrigin;


	@Column("piece_conversion_rate")
	@ApiModelProperty("最小单位规格")
	private BigDecimal pieceConversionRate;


	@Column("piece_uom")
	@ApiModelProperty("最小单位")
	private String pieceUom;


	@Column("shelf_life_day")
	@ApiModelProperty("保质期天数")
	private Integer shelfLifeDay;


	@Column("management_batch_nbr")
	@ApiModelProperty("批号")
	private String managementBatchNbr;


	@Column("management_expired_date")
	@ApiModelProperty("有效期")
	private String managementExpiredDate;


	@Column("item_health_listed_licensor")
	@ApiModelProperty("上市许可持有人")
	private String itemHealthListedLicensor;

	@Column("barcode")
	@ApiModelProperty("条码")
	private String barcode;


	@ApiModelProperty("商品条码(最小包装)")
	@Column("piece_barcode")
	private String pieceBarcode;

	@ApiModelProperty("生产商ID")
	@Column("manufacturer_id")
	private String manufacturerId;

	@ApiModelProperty("批准文号")
	@Column("item_health_approval_nbr")
	private String itemHealthApprovalNbr;

	@ApiModelProperty("货主名称")
	@Column("cargo_owner_name")
	private String cargoOwnerName;

	@ApiModelProperty("商品大类(数字)")
	@Column("item_health_category")
	private String itemHealthCategory;

	@ApiModelProperty("商品规格说明")
	@Column("specification")
	private String specification;

	@ApiModelProperty("最小包装数")
	@Column("single_volume")
	private BigDecimal singleVolume;


}

