
package com.prolog.eis.model.container;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 容器信息详情表
 */
@ApiModel(value = "合托任务表")
@Data
@Table(value = "merge_container_task")
public class MergeContainerTask {
    /**
     * id
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 容器号
     */
    @Column(value = "container_no")
    @ApiModelProperty(value = "容器号")
    private String containerNo;


    @Column(value = "status")
    @ApiModelProperty(value = "状态 0创建 1开始 2完成")
    private Integer status;


    /**
     * 任务号
     */
    @Column(value = "bill_no")
    @ApiModelProperty(value = "任务号")
    private String billNo;


    /**
     * 批次ID
     */
    @Column(value = "lot_id")
    @ApiModelProperty(value = "批次ID")
    private String lotId;

    /**
     * 商品ID
     */
    @Column(value = "item_id")
    @ApiModelProperty(value = "商品ID")
    private String itemId;


    /**
     * 创建时间
     */
    @Column(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    @Column(value = "update_time")
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;


}