package com.prolog.eis.model.container;

import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author zmr
 * @description: 站台配置表
 * @date 2023-07-06 11:29
 */
@Data
@Table("station_cfg")
public class StationCfg {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("station_no")
	@ApiModelProperty("站台号")
	private String stationNo;

	@Column("task_type")
	@ApiModelProperty("作业类型（10 拣选站台，20盘点站台 30合托站台)")
	private Integer taskType;

	@Column("station_type")
	@ApiModelProperty("站台类型")
	private Integer stationType;

	@Column("wms_area_no")
	@ApiModelProperty("wms点位")
	private String wmsAreaNo;

	@Column("area_no")
	@ApiModelProperty("原料托区域")
	private String areaNo;

	@Column("location_no")
	@ApiModelProperty("点位")
	private String locationNo;

	@Column("current_container_no")
	@ApiModelProperty("当前作业容器")
	private String currentContainerNo;

	@Column("current_cache_num")
	@ApiModelProperty("当前缓存的容器数")
	private Integer currentCacheNum;

	@Column("max_cache_position")
	@ApiModelProperty("最大可用位置")
	private Integer maxCachePosition;

	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	@Column("is_lock")
	@ApiModelProperty("是否锁定（0：未锁定 1：锁定）")
	private Integer isLock;

	@Column("is_ask")
	@ApiModelProperty("是否索取（0：索取 1：不索取）")
	private Integer isAsk;

	@Column("angle")
	@ApiModelProperty("角度")
	private int angle;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private LocalDateTime updateTime;

	@Column("relational_id")
	@ApiModelProperty("关联id")
	private Integer relationalId;
	@Column("min_x")
	@ApiModelProperty("最小X值(大于等于该值)")
	private int minX;
	@Column("max_x")
	@ApiModelProperty("最大X值(小于等于该值)")
	private int maxX;
	@Column("min_y")
	@ApiModelProperty("最小Y值(大于等于该值)")
	private int minY;
	@Column("max_y")
	@ApiModelProperty("最大Y值(小于等于该值)")
	private int maxY;
	@Ignore
	private int pageSize;

	@Ignore
	private int pageNum;

	@Ignore
	private Long taskNum;


}

