package com.prolog.eis.model.device;

import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@ApiModel(value = "device_info")
@Data
@Builder
@Table(value = "device_info")
public class DeviceInfo {
    /**
     * 主键ID
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 设备编号
     */
    @Column(value = "device_no")
    @ApiModelProperty(value = "设备编号")
    private String deviceNo;

    /**
     * 设备高度
     */
    @Column(value = "device_height")
    @ApiModelProperty(value = "设备高度")
    private Double deviceHeight;

    /**
     * 所属仓库
     */
    @Column(value = "belong_warehouse")
    @ApiModelProperty(value = "所属仓库")
    private String belongWarehouse;

    /**
     * 商品类型(1：原辅料、2：成品，3：成品或原辅料)
     */
    @Column(value = "item_type")
    @ApiModelProperty(value = "商品类型(1：原辅料、2：成品，3：成品或原辅料)")
    private Integer itemType;

    /**
     * 是否可用(0：可用，1：锁定)
     */
    @Column(value = "is_lock")
    @ApiModelProperty(value = "是否可用(0：可用，1：锁定)")
    private Boolean isLock;
}