package com.prolog.eis.model.inbound;


import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 入库任务明细
 */
@ApiModel(value = "入库任务明细")
@Data
@Table(value = "biz_inbound_task_detail_his")
public class BizInboundTaskDetailHis {
    /**
     * 历史主键
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "历史主键")
    private Integer hisId;

    /**
     * id
     */
    @Column(value = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 入库任务id
     */
    @Column(value = "inbound_id")
    @ApiModelProperty(value = "入库任务id")
    private Integer inboundId;

    /**
     * 子容器号
     */
    @Column(value = "container_sub_no")
    @ApiModelProperty(value = "子容器号")
    private String containerSubNo;

    /**
     * wms任务行号
     */
    @Column(value = "seq_no")
    @ApiModelProperty(value = "wms任务行号")
    private String seqNo;

    /**
     * 生产日期
     */
    @Column(value = "prod_date")
    @ApiModelProperty(value = "生产日期")
    private LocalDateTime prodDate;

    /**
     * 有效期
     */
    @Column(value = "expire_date")
    @ApiModelProperty(value = "有效期")
    private LocalDateTime expireDate;

    /**
     * 数量
     */
    @Column(value = "qty")
    @ApiModelProperty(value = "数量")
    private BigDecimal qty;

    /**
     * 实际入的数量
     */
    @Column(value = "real_qty")
    @ApiModelProperty(value = "实际入的数量")
    private BigDecimal realQty;

    /**
     * 0:没挂起 1:被挂起
     */
    @Column(value = "is_hang_up")
    @ApiModelProperty(value = "0:没挂起 1:被挂起")
    private Integer isHangUp;

    /**
     * 修改时间
     */
    @Column(value = "update_time")
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    /**
     * 任务已被绑定的站台
     */
    @Column(value = "station_id")
    @ApiModelProperty(value = "任务已被绑定的站台")
    private Integer stationId;

    /**
     * 拓展字段1
     */
    @Column(value = "extend_1")
    @ApiModelProperty(value = "拓展字段1")
    private String extend1;

    /**
     * 拓展字段2
     */
    @Column(value = "extend_2")
    @ApiModelProperty(value = "拓展字段2")
    private String extend2;

    /**
     * 拓展字段3
     */
    @Column(value = "extend_3")
    @ApiModelProperty(value = "拓展字段3")
    private String extend3;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 明细状态
     */
    @Column(value = "detail_status")
    @ApiModelProperty(value = "明细状态")
    private Integer detailStatus;

    /**
     * 物料id
     */
    @Column(value = "item_id")
    @ApiModelProperty(value = "物料id")
    private String itemId;

    /**
     * 货主
     */
    @Column(value = "owner_id")
    @ApiModelProperty(value = "货主")
    private String ownerId;

    /**
     * 批号
     */
    @Column(value = "lot_id")
    @ApiModelProperty(value = "批号")
    private String lotId;

    /**
     * 包装ID
     */
    @Column(value = "pack_id")
    @ApiModelProperty(value = "包装ID")
    private String packId;
}