package com.prolog.eis.model.inbound;


import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


/**
 * 入库任务表
 */
@ApiModel(value = "入库任务表")
@Data
@Table(value = "biz_inbound_task_his")
public class BizInboundTaskHis {
    /**
     * 历史主键
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "历史主键")
    private Integer hisId;

    /**
     * id
     */
    @Column(value = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 上游系统id
     */
    @Column(value = "upper_system_task_id")
    @ApiModelProperty(value = "上游系统id")
    private String upperSystemTaskId;

    /**
     * wms大货位
     */
    @Column(value = "wms_location_code")
    @ApiModelProperty(value = "wms大货位")
    private String wmsLocationCode;

    /**
     * 上游仓id
     */
    @Column(value = "wms_warehouse_id")
    @ApiModelProperty(value = "上游仓id")
    private String wmsWarehouseId;

    /**
     * 单据号
     */
    @Column(value = "bill_no")
    @ApiModelProperty(value = "单据号")
    private String billNo;

    /**
     * 作业类型
     */
    @Column(value = "work_type")
    @ApiModelProperty(value = "作业类型")
    private String workType;

    /**
     * 业务类型(10.正常、20.空托入库、30、移库入库）
     */
    @Column(value = "business_type")
    @ApiModelProperty(value = "业务类型(10.正常、20.空托入库、30、移库入库）")
    private String businessType;

    /**
     * 容器
     */
    @Column(value = "container_no")
    @ApiModelProperty(value = "容器")
    private String containerNo;

    /**
     * 容器类型
     */
    @Column(value = "container_type")
    @ApiModelProperty(value = "容器类型")
    private Integer containerType;

    /**
     * 状态（-10.取消、0.创建、10.已开始、20.已完成、30.已回告）
     */
    @Column(value = "status")
    @ApiModelProperty(value = "状态（-10.取消、0.创建、10.已开始、20.已完成、30.已回告）")
    private Integer status;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    @Column(value = "update_time")
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    /**
     * 完成时间
     */
    @Column(value = "finish_time")
    @ApiModelProperty(value = "完成时间")
    private LocalDateTime finishTime;

    /**
     * 回告时间
     */
    @Column(value = "call_back_time")
    @ApiModelProperty(value = "回告时间")
    private LocalDateTime callBackTime;

    /**
     * 错误消息
     */
    @Column(value = "error_msg")
    @ApiModelProperty(value = "错误消息")
    private String errorMsg;

    /**
     * 拓展字段1
     */
    @Column(value = "extend_1")
    @ApiModelProperty(value = "拓展字段1")
    private String extend1;

    /**
     * 拓展字段2
     */
    @Column(value = "extend_2")
    @ApiModelProperty(value = "拓展字段2")
    private String extend2;

    /**
     * 拓展字段3
     */
    @Column(value = "extend_3")
    @ApiModelProperty(value = "拓展字段3")
    private String extend3;

    /**
     * 目标区域(wms货位)
     */
    @Column(value = "target_area")
    @ApiModelProperty(value = "目标区域(wms货位)")
    private String targetArea;

    /**
     * 起始区域
     */
    @Column(value = "original_area")
    @ApiModelProperty(value = "起始区域")
    private String originalArea;
//
//    @Column(value = "conformity_mark")
//    @ApiModelProperty(value = "合格标识")
//    private Integer conformityMark;

    @Column(value = "item_type")
    @ApiModelProperty(value = "商品类型(1：原辅料、2：成品，3：成品或原辅料)")
    private Integer itemType;

    @ApiModelProperty("企业id")
    @Column(value = "enterprise_id")
    private String enterpriseId;


    /**
     * 起始点位
     */
    @Column(value = "original_location")
    @ApiModelProperty(value = "起始点位")
    private String originalLocation;
}