package com.prolog.eis.model.inbound;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@Table(value = "inbound_record")
public class InboundRecord {

    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("任务号")
    @Column("task_id")
    private String taskId;

    @ApiModelProperty("站台号")
    @Column("station_no")
    private String stationNo;

    @ApiModelProperty("仓库")
    @Column("ware_house")
    private String wareHouse;

    @ApiModelProperty("商品ID")
    @Column("goods_id")
    private String goodsId;

    @ApiModelProperty("货主ID")
    @Column("owner_id")
    private String ownerId;

    @ApiModelProperty("包装ID")
    @Column("pack_id")
    private String packId;

    @ApiModelProperty("批次ID")
    @Column("lot_id")
    private String lotId;

    @ApiModelProperty("客户名称")
    @Column("company_name")
    private String companyName;

    @ApiModelProperty("计划数量")
    @Column("qty")
    private BigDecimal qty;

    @ApiModelProperty("实际上架数量")
    @Column("real_qty")
    private BigDecimal realQty;

    @ApiModelProperty("目的货位")
    @Column("pallet_location")
    private String palletLocation;

    @ApiModelProperty("创建时间")
    @Column("create_time")
    private Date createTime;

    @ApiModelProperty("作业人")
    @Column("create_by")
    private String createBy;
}
