package com.prolog.eis.model.led;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table("led_connect_info")
public class LedConnectInfo {
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty("主键")
    private int id;

    @Column("port_no")
    @ApiModelProperty("出入口提升机编号")
    private String portNo;

    @Column("port_ip")
    @ApiModelProperty("LED屏IP")
    private String portIp;

    @Column("port_type")
    @ApiModelProperty("出库口类型 （1入库口 2出库口）")
    private int portType;

    @Column("area_no")
    @ApiModelProperty("区域")
    private String areaNo;

    @Column("port_location")
    @ApiModelProperty("LED(坐标）")
    private String portLocation;

    @Column("remark")
    @ApiModelProperty("名称")
    private String remark;

    @Column("show_led")
    @ApiModelProperty("是否显示led")
    private int showLed;
}
