package com.prolog.eis.model.led;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author wuxl
 * @date 2021/1/3 11:59
 */
@Data
@Table("led_message")
public class LedMessage {

    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty("主键")
    private int id;

    @Column("port_no")
    @ApiModelProperty("出入口编号")
    private String portNo;

    @Column("port_ip")
    @ApiModelProperty("LED屏IP")
    private String portIp;

    @Column("port_type")
    @ApiModelProperty("出库口类型 （1入库口 2出库口）")
    private int portType;

    @Column("read_state")
    @ApiModelProperty("是否读取 0未读 1已发送")
    private int readState;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("message_type")
    @ApiModelProperty("信息类型 0正常 1异常")
    private int messageType;

    @Column("message")
    @ApiModelProperty("显示消息")
    private String message;

    @Column("error_msg")
    @ApiModelProperty("消息发送异常原因")
    private String errorMsg;
    
    @Column("container_no")
    @ApiModelProperty("托盘号")
    private String containerNo;

    @Column("lot_id")
    @ApiModelProperty("批次号")
    private String lotId;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

}
