package com.prolog.eis.model.led;


import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.LocalDateTime;

/**
 * LED信息表
 */
@ApiModel(value = "LED信息表")
@Data
@Table(value = "led_message_history")
public class LedMessageHistory {
    /**
     * 历史主键
     */
    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @ApiModelProperty(value = "历史主键")
    private Integer hisId;

    /**
     * id
     */
    @Column(value = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 出入口编号
     */
    @Column(value = "port_no")
    @ApiModelProperty(value = "出入口编号")
    private String portNo;

    /**
     * LED屏IP
     */
    @Column(value = "port_ip")
    @ApiModelProperty(value = "LED屏IP")
    private String portIp;

    /**
     * 出库口类型 （1入库口 2出库口）
     */
    @Column(value = "port_type")
    @ApiModelProperty(value = "出库口类型 （1入库口 2出库口）")
    private Integer portType;

    /**
     * 是否读取 0未读 1已发送
     */
    @Column(value = "read_state")
    @ApiModelProperty(value = "是否读取 0未读 1已发送")
    private Integer readState;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 信息类型 0正常 1异常
     */
    @Column(value = "message_type")
    @ApiModelProperty(value = "信息类型 0正常 1异常")
    private Integer messageType;

    /**
     * 显示消息
     */
    @Column(value = "message")
    @ApiModelProperty(value = "显示消息")
    private String message;

    /**
     * 消息发送异常原因
     */
    @Column(value = "error_msg")
    @ApiModelProperty(value = "消息发送异常原因")
    private String errorMsg;

    /**
     * 托盘号
     */
    @Column(value = "container_no")
    @ApiModelProperty(value = "托盘号")
    private String containerNo;

    /**
     * 批次号
     */
    @Column(value = "lot_id")
    @ApiModelProperty(value = "批次号")
    private String lotId;

    /**
     * 更新时间
     */
    @Column(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;
}