package com.prolog.eis.model.out;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zmr
 * @description: 出库任务拆零详情表
 * @date 2023-09-14 18:59
 */
@Data
@Table("biz_outbound_task_detail_dismantle")
public class BizOutboundTaskDetailDismantle {

    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("id")
    private Integer id;

    @Column("outbound_id")
    @ApiModelProperty("出库任务id")
    private Integer outboundId;

    @Column("outbound_detail_id")
    @ApiModelProperty("出库任务明细id")
    private Integer outboundDetailId;

    @Column("plan_qty")
    @ApiModelProperty("计划数量")
    private BigDecimal planQty;

    @Column("act_qty")
    @ApiModelProperty("实际数量")
    private BigDecimal actQty;

    @Column("out_qty")
    @ApiModelProperty("出库数量")
    private BigDecimal outQty;

    @Column("target_area")
    @ApiModelProperty("订单目标位置")
    private String targetArea;

    @Column("type")
    @ApiModelProperty("类型  1.零发整  2.拆零拣选")
    private Integer type;
    /**
     * 状态(-10缺货，0.创建,10.开始 12已拣选 15已复核 16已落格,20完成)
     */
    @Column("status")
    @ApiModelProperty("状态(-10缺货，0.创建,10.开始 12已拣选 15已复核 16已落格,20完成)")
    private Integer status;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

    @Column("extend_1")
    @ApiModelProperty("拓展字段1")
    private String extend1;

    @Column("extend_2")
    @ApiModelProperty("拓展字段2")
    private String extend2;

    @Column("extend_3")
    @ApiModelProperty("拓展字段3")
    private String extend3;

    @Column("item_id")
    @ApiModelProperty("物料id")
    private String itemId;

    @Column("owner_id")
    @ApiModelProperty("货主")
    private String ownerId;

    @Column("lot_id")
    @ApiModelProperty("批号")
    private String lotId;

    @Column("pack_id")
    @ApiModelProperty("包装ID")
    private String packId;

    @Column("offer_qty")
    @ApiModelProperty("已供包数量")
    private BigDecimal offerQty;

    @Column("offer_show_qty")
    @ApiModelProperty("正在供包数量")
    private BigDecimal offerShowQty;

    @Column("lack_qty")
    @ApiModelProperty("缺货数量")
    private BigDecimal lackQty;

    @Column("supply_qty")
    @ApiModelProperty("补货数量")
    private BigDecimal supplyQty;

    @Column("hand_offer_qty")
    @ApiModelProperty("人工复核数量")
    private BigDecimal handOfferQty;

    @Column("lack_state")
    @ApiModelProperty("-1 正常 0：缺货冲红 1：重新推任务")
    private Integer lackState;

    @Column("drug_supervision_code")
    @ApiModelProperty("药监码")
    private String drugSupervisionCode;

    public void scanOffer() {
        setHandOfferQty(getHandOfferQty().add(BigDecimal.ONE));
    }
}

