package com.prolog.eis.model.out;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zmr
 * @description: 出库任务拆零详情表
 * @date 2023-09-14 18:59
 */
@Data
@Table("biz_outbound_task_detail_dismantle_grid_his")
public class BizOutboundTaskDetailDismantleGridHis {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("outbound_id")
	@ApiModelProperty("出库任务id")
	private Integer outboundId;

	@Column("outbound_detail_id")
	@ApiModelProperty("出库任务明细id")
	private Integer outboundDetailId;

	@Column("outbound_detail_dismantle_id")
	@ApiModelProperty("拆零出库任务明细id")
	private Integer outboundDetailDismantleId;

	@Column("qty")
	@ApiModelProperty("计划数量")
	private BigDecimal qty;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("item_id")
	@ApiModelProperty("物料id")
	private String itemId;

	@Column("owner_id")
	@ApiModelProperty("货主")
	private String ownerId;

	@Column("lot_id")
	@ApiModelProperty("批号")
	private String lotId;

	@Column("pack_id")
	@ApiModelProperty("包装ID")
	private String packId;

	@Column("grid_no")
	@ApiModelProperty("格口号")
	private String gridNo;

	@Column("hand_offer_qty")
	@ApiModelProperty("人工复核数量")
	private BigDecimal handOfferQty;
}

