package com.prolog.eis.model.out;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.math.BigDecimal;

/**
 * @author zmr
 * @description: 出库任务拆零待补货数量
 * @date 2023-09-20 18:32
 */
@Data
@Table("biz_outbound_task_dismantle_supply")
public class BizOutboundTaskDismantleSupply {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("outbound_id")
	@ApiModelProperty("出库任务id")
	private Integer outboundId;

	@Column("outbound_detail_id")
	@ApiModelProperty("出库任务明细id")
	private Integer outboundDetailId;

	@Column("type")
	@ApiModelProperty("类型  1.零发整  2.拆零拣选")
	private Integer type;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private Date updateTime;

	@Column("extend_1")
	@ApiModelProperty("拓展字段1")
	private String extend1;

	@Column("extend_2")
	@ApiModelProperty("拓展字段2")
	private String extend2;

	@Column("extend_3")
	@ApiModelProperty("拓展字段3")
	private String extend3;

	@Column("item_id")
	@ApiModelProperty("物料id")
	private String itemId;

	@Column("owner_id")
	@ApiModelProperty("货主")
	private String ownerId;

	@Column("lot_id")
	@ApiModelProperty("批号")
	private String lotId;

	@Column("pack_id")
	@ApiModelProperty("包装ID")
	private String packId;

	@Column("supply_qty")
	@ApiModelProperty("待补货数量")
	private BigDecimal supplyQty;




}

