package com.prolog.eis.model.out;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zmr
 * @description: 出库任务拆零详情表
 * @date 2023-09-11 16:33
 */
@Data
@Table("container_task_dismantle_his")
public class ContainerTaskDismantleHis {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("container_task_id")
	@ApiModelProperty("托盘任务ID")
	private Integer containerTaskId;

	@Column("plan_qty")
	@ApiModelProperty("计划数量")
	private BigDecimal planQty;

	@Column("act_qty")
	@ApiModelProperty("实际数量")
	private BigDecimal actQty;

	@Column("out_qty")
	@ApiModelProperty("出库数量")
	private BigDecimal outQty;

	@Column("target_area")
	@ApiModelProperty("订单目标位置")
	private String targetArea;

	@Column("type")
	@ApiModelProperty("类型  1.零发整  2.拆零拣选")
	private Integer type;

	@Column("status")
	@ApiModelProperty("状态(-10缺货，0.创建,10.开始,20完成)")
	private Integer status;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private Date updateTime;

	@Column("extend_1")
	@ApiModelProperty("拓展字段1")
	private String extend1;

	@Column("extend_2")
	@ApiModelProperty("拓展字段2")
	private String extend2;

	@Column("extend_3")
	@ApiModelProperty("拓展字段3")
	private String extend3;

	@Column("item_id")
	@ApiModelProperty("物料id")
	private String itemId;

	@Column("owner_id")
	@ApiModelProperty("货主")
	private String ownerId;

	@Column("lot_id")
	@ApiModelProperty("批号")
	private String lotId;

	@Column("pack_id")
	@ApiModelProperty("包装ID")
	private String packId;




}

