package com.prolog.eis.model.outbound;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author zmr
 * @description: 打印任务表
 * @date 2023-08-30 12:29
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@Table("order_log")
public class OrderLog {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("")
	private Integer id;

	@Column("order_id")
	@ApiModelProperty("订单id")
	private String orderId;

	@Column("order_no")
	@ApiModelProperty("订单编号")
	private String orderNo;

	@Column("type")
	@ApiModelProperty("操作类型")
	private String type;

	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

}

