package com.prolog.eis.model.outbound;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: 打印机模块
 * @date 2023-08-30 12:29
 */
@Data
@Table("print_scheme")
public class PrintScheme {

	@Id
	@Column("id")
	@ApiModelProperty("")
	private Integer id;

	@Column("print_solution")
	@ApiModelProperty("打印方案")
	private String printSolution;

	@Column("print_name")
	@ApiModelProperty("打印机名称")
	private String printName;

	@Column("grf_name")
	@ApiModelProperty("打印模板")
	private String grfName;

	@Column("print_ip")
	@ApiModelProperty("打印机IP")
	private String printIp;

	@Column("print_port")
	@ApiModelProperty("打印机端口")
	private String printPort;

	@Column("station_id")
	@ApiModelProperty("站台ID")
	private String stationId;

	@Column("print_state")
	@ApiModelProperty("打印机状态（0:正常，1:禁用）")
	private Integer printState;

	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	@Column("print_type")
	@ApiModelProperty("打印类型（打印模板类型(1:商品明细、2:订单箱清单)）")
	private Integer printType;

	@Column("print_url")
	@ApiModelProperty("打印地址")
	private String printUrl;

	@Column("default_print_count")
	@ApiModelProperty("默认打印次数")
	private Integer defaultPrintCount;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("更新时间")
	private Date updateTime;




}

