package com.prolog.eis.model.outbound;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: 打印任务表
 * @date 2023-08-30 12:29
 */
@Data
@Table("print_task")
public class PrintTask {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("")
	private Integer id;

	@Column("print_scheme_id")
	@ApiModelProperty("打印模板ID")
	private Integer printSchemeId;

	@Column("print_data")
	@ApiModelProperty("打印内容")
	private String printData;

	@Column("error_msg")
	@ApiModelProperty("最后一次打印的错误消息")
	private String errorMsg;

	@Column("print_count")
	@ApiModelProperty("打印次数")
	private Integer printCount;

	@Column("wms_out_task_id")
	@ApiModelProperty("出库订单")
	private Integer wmsOutTaskId;

	@Column("grid_no")
	@ApiModelProperty("格口号")
	private String gridNo;

	@Column("status")
	@ApiModelProperty("打印状态：1打印成功，2打印失败")
	private Integer status;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("更新时间")
	private Date updateTime;

	@Column("type")
	@ApiModelProperty("打印类型 1面单打印  2.拆零订单绑定格口打印  3.复核结果回传 4.全零发整打印 5零发整面单打印 6异常标签打印 10打印面单")
	private Integer type;

	@Column("extend_1")
	@ApiModelProperty("扩展字段")
	private String extend1;

	@Column("extend_2")
	@ApiModelProperty("扩展字段")
	private String extend2;
}

