package com.prolog.eis.model.pack;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@Table("parcel_record")
public class ParcelRecord {

    @Id
    @Column("id")
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    @ApiModelProperty("Id")
    private String id;

    @Column("bill_no")
    @ApiModelProperty("单据编号")
    private String billNo;

    @Column("grid_no")
    @ApiModelProperty("格口编号")
    private String gridNo;

    @Column("bill_id")
    @ApiModelProperty("订单ID")
    private Integer billId;

    @Column("staff_code")
    @ApiModelProperty("员工编号")
    private String staffCode;

    @Column("staff_name")
    @ApiModelProperty("员工名称")
    private String staffName;

    @Column("scan_date")
    @ApiModelProperty("扫描时间")
    private Date scanDate;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;
}
