package com.prolog.eis.model.pick;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: 任务包表
 * @date 2023-07-06 12:59
 */
@Data
@Table("picking_order_his")
public class PickingOrderHis {

	@Column("id")
	@ApiModelProperty("拣选单ID")
	private Integer id;

	@Column("picking_order_no")
	@ApiModelProperty("拣选单编号（生成）")
	private String pickingOrderNo;


	@Column("is_lock")
	@ApiModelProperty("锁订单0正常  1锁定")
	private Integer isLock;

	@Column("status")
	@ApiModelProperty("拣选单状态:0 创建 5 发送下游任务 10开始生成容器任务 20开始绑箱  90 完成")
	private Integer status;

	@Column("start_time")
	@ApiModelProperty("开始时间")
	private Date startTime;

	@Column("complete_time")
	@ApiModelProperty("完成时间")
	private Date completeTime;

	@Column("picking_mode")
	@ApiModelProperty("预留")
	private Integer pickingMode;

	@Column("picking_type")
	@ApiModelProperty("预留")
	private Integer pickingType;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("修改时间")
	private Date updateTime;


	@Column("companyId")
	@ApiModelProperty("客户ID")
	private String company_id;

	/**
	 * wms大货位
	 */
	@Column(value = "wms_location_code")
	@ApiModelProperty(value = "wms大货位")
	private String wmsLocationCode;


	@Column("wave_no")
	@ApiModelProperty("波次")
	private String waveNo;

}

