package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: 分拨站配置表
 * @date 2023-08-28 11:41
 */
@Data
@Table("allotment_cfg")
public class AllotmentCfg {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("")
	private Integer id;

	@Column("station_no")
	@ApiModelProperty("分拨站号")
	private String stationNo;

	@Column("station_name")
	@ApiModelProperty("分拨站名称")
	private String stationName;

	@Column("is_lock")
	@ApiModelProperty("是否锁定")
	private Integer isLock;

	@Column("area_no")
	@ApiModelProperty("分拨区域")
	private String areaNo;

	@Column("location_no")
	@ApiModelProperty("分拨点位")
	private String locationNo;

	@Column("extend_1")
	@ApiModelProperty("拓展字段1")
	private String extend1;

	@Column("extend_2")
	@ApiModelProperty("拓展字段1")
	private String extend2;

	@Column("extend_3")
	@ApiModelProperty("拓展字段1")
	private String extend3;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("更新时间")
	private Date updateTime;




}

