package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author zmr
 * @description: 分拨供包任务表记录
 * @date 2023-08-28 11:41
 */
@Data
@Table("allotment_task_record")
public class AllotmentTaskRecord {

    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("主键id")
    private Integer id;

    @Column("task_id")
    @ApiModelProperty("任务汇总ID")
    private String taskId;

    @Column("plan_qty")
    @ApiModelProperty("计划数量")
    private BigDecimal planQty;

    @Column("qty")
    @ApiModelProperty("复核数量")
    private BigDecimal qty;

    @Column("allotment_no")
    @ApiModelProperty("分拨道口")
    private String allotmentNo;

    @Column("outbound_id")
    @ApiModelProperty("订单表主键ID")
    private Integer outboundId;

    @Column("outbound_detail_id")
    @ApiModelProperty("订单详情ID")
    private Integer outboundDetailId;

    @Column("dismantle_id")
    @ApiModelProperty("拆零表ID")
    private Integer dismantleId;

    @Column("gird_no")
    @ApiModelProperty("所去格口号(多个逗号隔开)")
    private String girdNo;

    @Column("loge_gird_no")
    @ApiModelProperty("最终落格格口号")
    private String logeGirdNo;

    @Column("allotment_type")
    @ApiModelProperty("0 商品供包  1首营、质检票据供包 2.清单、发票供包")
    private Integer allotmentType;


    @Column("task_issue_date")
    @ApiModelProperty("任务下发时间")
    private Date taskIssueDate;

    @Column("scan_date")
    @ApiModelProperty("扫描时间")
    private Date scanDate;

    @Column("fall_lattice_date")
    @ApiModelProperty("落格时间")
    private Date fallLatticeDate;

    @Column("send_status")
    @ApiModelProperty("下发mcs状态（0未发生  1已发送）")
    private Integer sendStatus;

    @Column("scan_status")
    @ApiModelProperty("扫描状态（0、未扫描，1、已扫描）")
    private Integer scanStatus;

    @Column("loge_status")
    @ApiModelProperty("落格状态（0、未落格，1、已落格 2:  落格至异常格口\\n3:商品丢失\\n）")
    private Integer logeStatus;

    @Column("wcs_task_id")
    @ApiModelProperty("wcs对应的taskId")
    private String wcsTaskId;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Column("item_id")
    @ApiModelProperty("商品id")
    private String itemId;

    @Column("error_msg")
    @ApiModelProperty("描述")
    private String errorMsg;

    @Column("code")
    @ApiModelProperty("药监码")
    private String code;

    @Column("reviewer_info")
    @ApiModelProperty("复核人信息")
    private String reviewerInfo;

    @Column("light_up_time")
    @ApiModelProperty("订单亮灯时间")
    private LocalDateTime lightUpTime;

    @Column("beat_light_time")
    @ApiModelProperty("订单拍灯时间")
    private LocalDateTime beatLightTime;
}

