package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@Table("category_area_no")
@ApiModel(value = "大类区域表")
public class CategoryAreaNo {

    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("id")
    private Long id;

    @Column("item_health_category")
    @ApiModelProperty("商品大类数字")
    private String itemHealthCategory;

    @Column("item_health_category_name")
    @ApiModelProperty("商品大类中文")
    private String itemHealthCategoryName;

    @Column("area_no")
    @ApiModelProperty("区域")
    private String areaNo;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

    @Column("owner_id")
    @ApiModelProperty("货主编号")
    private String ownerId;

    @Column("owner_name")
    @ApiModelProperty("货主名称")
    private String ownerName;

    @Column("item_barcode")
    @ApiModelProperty("商品条码")
    private String itemBarcode;

    @Column("item_name")
    @ApiModelProperty("商品名称")
    private String itemName;

    @Column("item_type")
    @ApiModelProperty("商品规格")
    private String itemType;

}
