package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Table("data_dictionary")
@Data
public class DataDictionary {

	@Id
	@Column("id")
	@ApiModelProperty("主键")
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	private int id;

	@Column("system_name")
	@ApiModelProperty("系统名称")
	private String systemName;

	@Column("state_name")
	@ApiModelProperty("状态名称")
	private String stateName;
	
	@Column("state_vlues")
	@ApiModelProperty("状态值")
	private String stateVlues;

	@Column("state_description")
	@ApiModelProperty("状态描述")
	private String stateDescription;

	@Column("index_of")
	@ApiModelProperty("排序值")
	private Integer indexOf;

	@Column("is_using")
	@ApiModelProperty("是否启用（0启用；1不启用）")
	private Integer isUsing;

	@Column("notes")
	@ApiModelProperty("备注")
	private String notes;

	@Column("data_dictionary_master_id")
	@ApiModelProperty("data_dictionary_master表主键")
	private Integer dataDictionaryMasterId;

	@Column("auto_run")
	@ApiModelProperty("是否自动调整 如果wms传的自动调整是空的，则使用内部配置的值来执行是否自动调整")
	private Integer autoRun;
}
