package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Table("dismantling_location_hit_record")
@Data
public class DismantlingLocationHitRecord {
    @Id
    @Column("id")
    @ApiModelProperty("主键")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    private Integer id;

    @Column("task_detail_id")
    @ApiModelProperty("任务明细id")
    private String taskDetailId;

    @Column("location_no")
    @ApiModelProperty("上架容器编号")
    private String locationNo;

    @Column("location_type")
    @ApiModelProperty("上架容器类型（容器类型（1容器，2货格）")
    private String locationType;

    @Column("container_no")
    @ApiModelProperty("收货容器")
    private String containerNo;

    @Column("pallet_no")
    @ApiModelProperty("货架号")
    private String palletNo;

    @Column("status")
    @ApiModelProperty("呼叫料托状态（0创建  1开始  2到位   3完成）")
    private Integer status;

    @Column("end_area_no")
    @ApiModelProperty("终点区域")
    private String endAreaNo;

    @Column("task_type")
    @ApiModelProperty("任务类型（10入拆零区 50补货到拆零区）")
    private String taskType;

}
