package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zmr
 * @description: 格口信息表
 * @date 2023-08-28 11:41
 */
@Data
@Table("grid_info")
public class GridInfo {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("group_no")
	@ApiModelProperty("格口组号")
	private String groupNo;

	@Column("grid_no")
	@ApiModelProperty("格口号")
	private String gridNo;

	@Column("order_id")
	@ApiModelProperty("绑定订单号")
	private Integer orderId;

	@Column("status")
	@ApiModelProperty("1.格口状态(1（空闲）2.满载）")
	private Integer status;

	@Column("is_lock")
	@ApiModelProperty("是否锁定 0 不锁定 1 锁定")
	private Integer isLock;

	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("更新时间")
	private Date updateTime;

	@Column("head_label_loc")
	@ApiModelProperty("头部标签地址")
	private String headLabelLoc;

	@Column("apply_volume")
	@ApiModelProperty("已使用体积 单位（cm）")
	private BigDecimal applyVolume;

	@Column("bill_flag")
	@ApiModelProperty("票据供包格口 0否 1是")
	private Integer billFlag;

	@Column("last_flag")
	@ApiModelProperty("订单绑定最后一个格口 0否 1是")
	private Integer lastFlag;

	@Column("supply_flag")
	@ApiModelProperty("是否供包完成 0否 1是")
	private Integer supplyFlag;

	@Column("fall_grid")
	@ApiModelProperty("是否全部落格 0否 1是")
	private Integer fallGrid;

	@Column("scan_finish")
	@ApiModelProperty("是否扫描完成 0否 1是")
	private Integer scanFinish;

	@Ignore
	private int number;
}

