package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 货架表
 * 
 * @author zhanghan
 */
@Data
@ApiModel("货架表")
@Table("pallet_info")
public class PalletInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	/**
	 * 货架号
	 */
	@Column("pallet_no")
	@ApiModelProperty("货架号")
	private String palletNo;

	/**
	 * 0 无移动任务  1 存在移动任务
	 */
	@Column("status")
	@ApiModelProperty("0 无移动任务  1 存在移动任务")
	private Integer status;

	/**
	 * 搬运任务号
	 */
	@Column("container_move_task_id")
	@ApiModelProperty("搬运任务号")
	private String containerMoveTaskId;

	/**
	 * 以图纸方向，A面向右为 0  顺时针旋转，A 面朝下为 90
	 */
	@Column("angle")
	@ApiModelProperty("以图纸方向，A面向右为 0  顺时针旋转，A 面朝下为 90")
	private Integer angle;

	/**
	 * 是否锁定 0 不锁定 1 锁定
	 */
	@Column("is_lock")
	@ApiModelProperty("是否锁定 0 不锁定 1 锁定")
	private Integer isLock;

	/**
	 * 是否为模板货架
	 */
	@Column("is_mode")
	@ApiModelProperty("是否为模板货架")
	private Integer isMode;

	/**
	 * is_mode 为1 时有值 货架模板类型
	 */
	@Column("mode_type")
	@ApiModelProperty("is_mode 为1 时有值 货架模板类型")
	private String modeType;

	/**
	 * 0 空货架  剩余类型项目自定义
	 */
	@Column("pallet_type")
	@ApiModelProperty("0 空货架  剩余类型项目自定义")
	private String palletType;

	/**
	 * 区域
	 */
	@Column("sub_area")
	@ApiModelProperty("区域")
	private String subArea;

	/**
	 * 备注
	 */
	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	/**
	 * 创建时间
	 */
	@Column("create_time")
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	/**
	 * 更新时间
	 */
	@Column("update_time")
	@ApiModelProperty("更新时间")
	private LocalDateTime updateTime;

}