package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 货格基础资料
 * 
 * @author zhanghan
 */
@Data
@ApiModel("货格基础资料")
@Table("pallet_location")
public class PalletLocation implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	/**
	 * 货架号
	 */
	@Column("pallet_no")
	@ApiModelProperty("货架号")
	private String palletNo;

	/**
	 * 货格编号
	 */
	@Column("pallet_location")
	@ApiModelProperty("货格编号")
	private String palletLocation;

	/**
	 * 货格abc属性
	 */
	@Column("abc_type")
	@ApiModelProperty("货格abc属性")
	private String abcType;

	/**
	 * 货格方向 AB面
	 */
	@Column("planes")
	@ApiModelProperty("货格方向 AB面")
	private String planes;

	/**
	 * 货架层
	 */
	@Column("layer")
	@ApiModelProperty("货架层")
	private Integer layer;

	/**
	 * 体积
	 */
	@Column("volume")
	@ApiModelProperty("体积")
	private BigDecimal volume;

	/**
	 * 货架列
	 */
	@Column("x")
	@ApiModelProperty("货架列")
	private Integer x;

	/**
	 * 0 不锁定 1锁定
	 */
	@Column("is_lock")
	@ApiModelProperty("0 不锁定 1锁定")
	private Integer isLock;

	/**
	 * 创建时间
	 */
	@Column("create_time")
	@ApiModelProperty("创建时间")
	private LocalDateTime createTime;

	/**
	 * 更新时间
	 */
	@Column("update_time")
	@ApiModelProperty("更新时间")
	private LocalDateTime updateTime;

	@Ignore
	@ApiModelProperty("点亮")
	private int isPower;

	@Ignore
	@ApiModelProperty("上架容器类型（容器类型（1容器，2货格）")
	private String locationType;

}