package com.prolog.eis.model.statistics;


import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 总拣效率统计表
 */
@ApiModel(description = "总拣效率统计表")
@Data
@Table(value = "efficiency_statistics")
public class EfficiencyStatistics {
    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("")
    private Integer id;

    /**
     * 容器号
     */
    @Column(value = "container_no")
    @ApiModelProperty(value = "容器号")
    private String containerNo;

    /**
     * eis波次号
     */
    @Column(value = "eis_wave_no")
    @ApiModelProperty(value = "eis波次号")
    private String eisWaveNo;

    /**
     * 订单数量
     */
    @Column(value = "order_count")
    @ApiModelProperty(value = "订单数量")
    private Integer orderCount;

    /**
     * 订单集合
     */
    @Column(value = "order_list")
    @ApiModelProperty(value = "订单集合")
    private String orderList;

    /**
     * 订单详情
     */
    @Column(value = "order_detail_list")
    @ApiModelProperty(value = "订单详情")
    private String orderDetailList;

    /**
     * 到站时间
     */
    @Column(value = "arrival_time")
    @ApiModelProperty(value = "到站时间")
    private Date arrivalTime;

    /**
     * 离站时间
     */
    @Column(value = "leave_time")
    @ApiModelProperty(value = "离站时间")
    private Date leaveTime;

    /**
     * 品种数量
     */
    @Column(value = "breed_count")
    @ApiModelProperty(value = "品种数量")
    private Integer breedCount;
}