package com.prolog.eis.vo;

import com.prolog.eis.utils.GoodsPropertyUtils;
import com.prolog.framework.core.annotation.Ignore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class GoodsShelvesVO {

	
	@ApiModelProperty("货架编号")
	private String palletNo;

	@ApiModelProperty("当前面")
	private String planes;

	@ApiModelProperty("商品大类")
	private String palletType;

	@ApiModelProperty("货位类型")
	private String abcType;

	@ApiModelProperty("商品id")
	private String itemId;

	/*private Long bizPropertyId;*/

	@ApiModelProperty("货位号")
	private String palletLocation;

	@ApiModelProperty("单个容积")
	private BigDecimal singleVolume;

	@ApiModelProperty("数量")
	private BigDecimal qty;

	@ApiModelProperty("货位容积")
	private BigDecimal volume;

	@ApiModelProperty("货架角度")
	private int angle;

	@ApiModelProperty("货主")
	private String ownerId;

	@ApiModelProperty("批次id")
	private String lotId;

	@ApiModelProperty("可用容积")
	private BigDecimal availableVolume;

	@ApiModelProperty("上架容器类型（容器类型（1容器，2货格）")
	private String locationType;

	/**
	 * 业务属性（多属性拼接）
	 */
	private String property;

	public String getProperty(){
		return GoodsPropertyUtils.getGoodsProperty(this.itemId,this.lotId,this.ownerId);
	}


}
