package com.prolog.eis.dao.outbound;

import com.prolog.eis.dto.page.OutboundOrderRespDto;
import com.prolog.eis.dto.page.PickingOrderReqDto;
import com.prolog.eis.dto.strategy.OrderDto;
import com.prolog.eis.model.outbound.BizOutboundTask;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 出库任务表-数据处理类
 * @date 2023-07-06 11:36
 */
@Repository
public interface BizOutboundTaskMapper extends BaseMapper<BizOutboundTask>{
    List<OrderDto> getOutboundTaskByBillType(@Param("billType") String billType, @Param("warehouseArea") String warehouseArea,@Param("assemblyOrderSwitch") String assemblyOrderSwitch);

    List<OrderDto> getOutboundTaskByBillTypeAndInit(@Param("billType") String billType, @Param("warehouseArea") String warehouseArea, @Param("assemblyOrderSwitch") int assemblyOrderSwitch);

    List<OrderDto> getOutboundTaskByArea();

    List<OutboundOrderRespDto> outboundOrderList(@Param("req") PickingOrderReqDto req);
}