package com.prolog.eis.feign;


import com.prolog.framework.common.message.RestMessage;
import com.prolog.upcloud.base.inventory.model.BatchNumberSync;
import com.prolog.upcloud.base.inventory.model.WmsInvBatchNumbers;
import com.prolog.upcloud.base.inventory.vo.batchInfo.BatchNumberSyncQueryVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

@FeignClient(value = "${prolog.service.inventory:upcloud-base-inventory}")
public interface InventoryFeign {

    /**
     * 获取批次相关信息
     *
     * @param batchNumberSyncQueryVO
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/batchNumberSync/findList")
    RestMessage<List<BatchNumberSync>> findAllBatch(BatchNumberSyncQueryVO batchNumberSyncQueryVO);

    /**
     * 通过批号获取批次相关信息
     * @param manufacturerLotNums
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/batch-number/get-by-manufacturerLotNums")
    RestMessage<List<WmsInvBatchNumbers>> getListByManufacturerLotNums(String manufacturerLotNums);
}