package com.prolog.eis.service.container;


import com.prolog.eis.core.model.biz.route.ContainerLocation;
import com.prolog.eis.model.container.LocationCfg;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 关键点位配置表-服务接口类
 * @date 2023-07-06 11:29
 */
public interface LocationCfgService {

    /**
     * 新增数据
     *
     * @param locationCfg 关键点位配置表
     */
    long save(LocationCfg locationCfg);

    /**
     * 新增批量数据
     *
     * @param locationCfgList 关键点位配置表
     */
    long saveBatch(List<LocationCfg> locationCfgList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<LocationCfg> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    LocationCfg findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<LocationCfg> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    LocationCfg findById(int id);

    /**
     * 修改数据
     *
     * @param locationCfg 实例对象
     */
    long update(LocationCfg locationCfg);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

    ContainerLocation findLocationByContainer(ContainerLocation containerLocation) throws Exception;

    List<String> findAvailableArea();

    List<LocationCfg> findLocationByarea(String area);

    void updateDirectionUrl(String type);

    LocationCfg getLocationCfgOccupy(String containerNo);
}
