package com.prolog.eis.service.outbound;


import com.prolog.eis.model.out.BizOutboundTaskDetailItem;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库物料订单详情表-服务接口类
 * @date 2023-10-12 10:44
 */
public interface BizOutboundTaskDetailItemService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDetailItem 出库物料订单详情表
     */
    long save(BizOutboundTaskDetailItem bizOutboundTaskDetailItem);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDetailItemList 出库物料订单详情表
     */
    long saveBatch(List<BizOutboundTaskDetailItem> bizOutboundTaskDetailItemList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailItem> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDetailItem findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailItem> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDetailItem findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDetailItem 实例对象
     */
    long update(BizOutboundTaskDetailItem bizOutboundTaskDetailItem);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
