package com.prolog.eis.service.outbound;


import com.prolog.eis.model.outbound.BizOutboundTaskDetail;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务详情表-服务接口类
 * @date 2023-07-06 11:36
 */
public interface BizOutboundTaskDetailService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDetail 出库任务详情表
     */
    long save(BizOutboundTaskDetail bizOutboundTaskDetail);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDetailList 出库任务详情表
     */
    long saveBatch(List<BizOutboundTaskDetail> bizOutboundTaskDetailList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetail> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDetail findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetail> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDetail findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDetail 实例对象
     */
    long update(BizOutboundTaskDetail bizOutboundTaskDetail);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

    void batchUpdate(List<BizOutboundTaskDetail> updateBizOutboundTaskDetailList);

    List<BizOutboundTaskDetail> findByOrderId(Integer orderId);
}
