package com.prolog.eis.service.pick;


import com.prolog.eis.model.pick.PickingOrderHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 任务包表-服务接口类
 * @date 2023-07-06 12:59
 */
public interface PickingOrderHistoryService {

    /**
     * 新增数据
     *
     * @param pickingOrderHis 任务包表
     */
    long save(PickingOrderHis pickingOrderHis);

    /**
     * 新增批量数据
     *
     * @param pickingOrderHisList 任务包表
     */
    long saveBatch(List<PickingOrderHis> pickingOrderHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<PickingOrderHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    PickingOrderHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<PickingOrderHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PickingOrderHis findById(int id);

    /**
     * 修改数据
     *
     * @param pickingOrderHis 实例对象
     */
    long update(PickingOrderHis pickingOrderHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
